commit 2703bbacb86dd79ecad9520093a1b1e3e2b423d5
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 31 17:06:49 2014 +0100

    contrib: Fix x265.pc on osx
    
    Works around cmake

commit 7000945e3b4759ac6a9b7596279cb37edd0d1ca9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 31 16:08:45 2014 +0100

    demux: dash: handle format string min width in segment number

commit d1282d53331f4f1982ed070b6a5fd14879349bfc
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Dec 30 23:39:57 2014 -0500

    live555: avoid NULL dereference if codec undefined
    
    Refs #11938

commit ff66d1413b6be123511bb96fb307bc5016d7470c
Author: Martell Malone <martellmalone@gmail.com>
Date:   Tue Dec 23 17:35:28 2014 +0000

    Rename Direct3D video output module to Direct3D9
    
    We will probably need a Direct3d11 one
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 41315c4073b67c4bed5de4e5f8901c675a2e0370
Author: Anatoliy Anischovich <lin.aaa.lin@gmail.com>
Date:   Tue Dec 30 14:25:06 2014 +0000

    demux: mpeg: add support for lame's replaygain extension
    
    See http://gabriel.mp3-tech.org/mp3infotag.html#replaygain
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9e2ed89062e3d47b66fa7f9611fce20d5deda2a6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 30 20:40:53 2014 +0100

    demux: mp4: fix divbyzero with broken audio stsd

commit d5a10108b44c274a2824919daca899d0a91ff7a0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 30 19:29:40 2014 +0100

    Bump OpenGL capability on Windows
    
    It is now higher than Direct2d, but lower than DirectDraw, because of XP

commit ab2405ed8250d55eb4aca8e0f124e8a6a22e15c7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 30 16:44:29 2014 +0100

    demux: dash: enable all profiles

commit 4e523f3df5f3c1c215e35ebc282303c33982fc7c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 30 16:19:03 2014 +0100

    demux: mp4: add support for FFV1 v2 (fix #13131)
    
    V2 has global tables, and then needs it to be passed as
    extradata IV.

commit aeff27121bb00f27afad64b466bfc3d5830dc9a5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 30 16:18:34 2014 +0100

    demux: dash: remove now unused blockbuffer code

commit 4e6acd5b6200659cee42445502786f526fd74def
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 30 00:42:44 2014 +0100

    demux: dash: track segment/periods outside of adaptation logic
    
    Allows switching logic, and fixes startSegment handling.

commit 1100886107563dd8436d7cc159a956a52155288c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 28 17:43:18 2014 +0100

    macosx: remove old playlist data source, remove unneeded outline view inits

commit 598ae833b9fcc8080b6292efb1e48a5cdc93ef72
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 28 17:22:14 2014 +0100

    macosx: resume playback: fix memleak

commit 4e2aec4c215f1ce4ee3679a5431fde331aff4bee
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 28 17:21:10 2014 +0100

    auhal: fix memleak, check malloc return value

commit 21cefda17a91ef83e87cb0f6052862d8bedcef5b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 7 14:41:54 2014 +0100

    macosx: playlist: delete old NSOutlineViewDataSource and helpers
    
    This is superseeded by the new PLModel object. Also remove old
    helper functions which are not used anymore.

commit ff0e7068eb399a5af880dfb336cd83a6e40bc486
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 7 14:25:39 2014 +0100

    macosx: adapt recursiveExpandNode to new playlist model

commit c5db7205bea8daa1113882414d700f276e80661e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 7 13:29:12 2014 +0100

    macosx: add new pl items to the end if they are dropped to a node

commit c6abf403e49b127372473593d542fa65ac3562fe
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 7 13:12:38 2014 +0100

    macosx: simplify/unify addition of new playlist items

commit f24504e48f5e423f9126c65afcd33a4517de5f22
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 30 19:00:29 2014 +0100

    macosx: Move drag and drop support to new PLModel and rewrite
    
    This simplifies the methods, also using a simpler storage for
    dragged items.

commit 42d2a27abfbff26731672799a822ea7f896b77ce
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 30 11:21:54 2014 +0100

    macosx: Use core-provided playlist search functionality
    
    This removes the old own-made search functionality and replaces
    it by a version the user would expect (i.e. actually hiding non-
    found entries).
    
    close #6049

commit c39aaf28bcd9e628dc5f13b6e0a01528eb476e68
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 15 12:33:30 2014 +0100

    macosx: Add new playlist model
    
    The current playlist model directly operates on the core playlist
    datastructures without proper locking for a complete playlist table
    reload/update. This resulted in various ugly hacks and workarounds.
    
    The new playlist model encapsulates the data in own objects like
    in the qt interface. This allows a much easier integration with
    the table view and proper updates from the core playlist.
    
    This way, the previous playlist objects, stored in an ugly map with
    pointer strings as keys, pointing to the same pointer inside a
    NSValue, is obsolete finally. :-)

commit da0b9bbc259d0a796d38247ab3cd235a2fceccc8
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Nov 13 12:11:39 2014 +0100

    macosx: Get rid of old VLCTableViewCommon

commit c13e7d4a399911f263876a0ec0611e1fb27e8b43
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 30 14:56:55 2014 +0100

    Update NEWS

commit 9315b25ab8d86db1b8a0d6f33498a8f65d9ae699
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 30 13:50:39 2014 +0100

    Bump Android Window priority: it can do hardware subpicture blending

commit 89b679a3fc71888b4aa87912eb32fae9e35d7178
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 23 16:35:41 2014 +0000

    libvlc_media_list: missing vlc_mutex_destroy
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d5d3b2551d640efe27d5d70084b7235b3932cdfb
Author: Anatoliy Anischovich <lin.aaa.lin@gmail.com>
Date:   Mon Dec 29 09:49:57 2014 +0000

    demux: mpc: fix replaygain calculation (fixes #13176)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e5d6c04c14ccbd152458f6611e176dbb3945a956
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 29 16:45:12 2014 +0000

    android_window: check subtitles bounds
    
    (fixes #13350)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 93ff2c22cc8861e589f8034e3af4db2527c07550
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 29 22:07:47 2014 +0100

    Qt: fix padding on the speed selector
    
    Close #13329

commit 7be55cf6d7894e56275b9189b80677fbd21f8c3b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 28 22:32:33 2014 +0100

    demux: mp4: missing sample in chunk alignment on seek (fix #13414)

commit eeccb77703308fbd78010838bca1d61cbec5c905
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 28 00:23:27 2014 +0100

    demux: mp4: fix tk id in debug code

commit 98e21e3f7cc66327581e287531cb2eda10f0f07f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 27 23:40:09 2014 +0100

    demux: mp4: replace copy with reference

commit 6ed9931a413ff81c8e7eb7ef73877ba4c6de6c7d
Author: Anatoliy Anischovich <lin.aaa.lin@gmail.com>
Date:   Fri Dec 26 10:29:10 2014 +0200

    demux: xspf: default psz_base to the XSPF resource location (fixes #6186, #12058)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e0b9b076eba7a26b77c51c0ac985aa60a125e89
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 19 23:30:20 2014 +0200

    vdpau/avcodec: add support for 4:4:4 and 4:2:2 chroma types
    
    This adds support for the H.264 4:4:4 Predictive profile (at 8-bits
    per component only).

commit 056e8441c0d87c5a05ffef3f781e22aa331f4e9d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 26 18:35:30 2014 +0100

    demux: dash: move everything under demux/

commit 5aa03f3785ecd2e3c871cc22f0ab83d90640b45d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 25 17:40:39 2014 +0100

    demux: mkv: don't seek on current pos

commit a4ff1de2a702e35a1364321276520c8acbbff46a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 25 15:14:52 2014 +0100

    mux: mp4: default missing audio/frame rate (fix #12820)

commit 5e3944b44e735a207d975d079d4dd5f1d4cf1a3b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 24 22:31:35 2014 +0100

    demux: dash: return meta from manifest

commit 53beda0af7fd8550b9e846b84245ee7ddd6b79ca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 24 22:26:56 2014 +0100

    demux: dash: fix and debug DOM Parsing

commit 98df0fd92e104713d4a00ee34b68353960063346
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 24 20:04:39 2014 +0100

    demux: dash: parse program info

commit 01e36efec5df5533adf81963633653dd7874d71f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 24 19:21:38 2014 +0100

    demux: dash: simplify integer parsing using templates

commit 2860a192f7130a3dc6dcbdd363af6e0905a982a0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 21:41:13 2014 +0100

    demux: dash: handle live stream numbered template
    
    ($Number$ must be calculated from streaming start time)

commit 6ee46f4ba68a366b4c46de6b79902b246bd86543
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 23 14:12:41 2014 +0100

    demux: dash: remove unused buffer observer impl

commit cf3f714043df6f65469b731e9f9de3e24469cca3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 21:27:25 2014 +0100

    demux: dash: add Property template

commit 96ce2a6b038128481ffc6c0f684e91ae29f1963e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 24 14:16:08 2014 +0100

    fourcc: add avc3

commit 904dc08fcb108067002736693e00ff14363315b4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 24 14:13:27 2014 +0100

    demux: mp4: handle avc3

commit 9ef79c687938c664e0f3bd2d2ff1487b0bcad19c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 24 10:33:27 2014 +0200

    playlist: fix infinite loop while clearing the playlist

commit 576d36bc075c2bef5b06540664882afd72833e3a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 18:58:07 2014 +0100

    demux: dash: missing initializer (cid #1260244)

commit fe65d2ba244502da22f1a9bc609ff14756cf8866
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 18:56:54 2014 +0100

    demux: dash: remove unused member (cid #1260243)

commit 248682c29b9c94f6366cc30b584f7c369fda11a7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 18:55:27 2014 +0100

    demux: dash: missing initializer (cid #1260242, #1260245)

commit ba68ad66e61e701078a497f45f507fd741fb022a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 18:54:22 2014 +0100

    demux: dash: missing initilializer (cid #1260241)

commit e8d7655cc776bf4fa06b5d2d8cf2774691b6fe17
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 18:51:47 2014 +0100

    demux: dash: fix leak (cid #1260239)

commit e1124316948655e97f3a6c4fef77ab869285f506
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 18:50:13 2014 +0100

    demux: libmp4: fix fwd null dereference (cid #1260237)

commit 57cca51db01124e7b0e3667191c033ed18ffb968
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 22 16:16:39 2014 +0100

    demux: dash: handle bitswitchable property

commit 6713191aded54131fc233750d60a7144caa0f916
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 20 00:08:18 2014 +0100

    demux: dash: match mime type

commit e78f71391d5152f80c4eed2a81695dfe37011915
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 19 18:18:54 2014 +0100

    demux: dash: add IsoTime helper

commit 6ead2baef6831186894b47801e3e788bae88673d
Author: Antti Ajanki <antti.ajanki@iki.fi>
Date:   Mon Dec 22 09:29:55 2014 +0000

    hds: Inject FLV metadata packet into the stream
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aa94f4bfb9227e75cb83b1c0dfb96965fcfb27bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 22 10:14:46 2014 +0100

    Contribs: rebase harfbuzz no-backend patch

commit 2a445ee73c918db2e1cf96da4fd6bb50de77da2b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 16:42:17 2014 +0100

    Contribs: don't hardcode URLs - 2

commit ed5563d9b1aa46cc87aee2b33cfe1fdf1e4b3cf1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 16:40:28 2014 +0100

    Contribs: don't hardcode URLs

commit 2a212f7daabb7c640cd2e541163f57045dfe247f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 19 14:12:47 2014 +0100

    demux: dash: handle profiles list

commit 93b2b55f562f38342ceb489ceb560d0d5a584254
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 13:22:55 2014 +0100

    Contrib: Disable HarfBuzz non-native backends

commit 8187efed1690db6cdf8d620d8eb06f44e4fcb3a3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 19 12:32:52 2014 +0100

    mediacodec: bypass profile check for OMX.LUMEVideoDecoder
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 31046d7499bd06cd0851ba793a15902df4c0b52a
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Dec 18 17:57:17 2014 -0500

    ragel: use the official hosting address
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e7c108d7d307feb7cfecf8c9e5a47a64ab96afae
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 19 11:46:31 2014 +0100

    main: update VLC_META_TYPE_COUNT
    
    It was not updated after adding vlc_meta_ESNowPlaying.
    
    Signed-off-by: Ludovic Fauvet <etix@videolan.org>

commit 03b3a4911e822e28dc2cd1f5f7c5de09a2b00004
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 18 23:57:50 2014 +0100

    Dash: use %zu for size_t in C++

commit 293ccca18939c22675254b09c5d61ea4fdc7f034
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 18 23:21:57 2014 +0100

    Smooth: use PRIu|d64 as format

commit e36f9d18bdb4d62ed770623564107aaffcb79a41
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 18 23:10:15 2014 +0100

    Dash: fix Android compilation

commit ac63cdd173dea71d5e371e641c858d29002cc93f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 18 22:17:38 2014 +0100

    demux: dash: add logic pref variable

commit 6ba79d21b2fa7e80059f46a71ac0322269fbb6d7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 18 21:44:25 2014 +0100

    demux: dash: add fixed rate adaptation policy

commit b397e42f30fbfdec64d27411ab4f0a853274de91
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 18 21:19:33 2014 +0100

    stream_demux: fix crash on stream_Seek()
    
    tried to increment NULL

commit cdbd643e5a7d603e6eb4ed0a0c4d0a04ef39834a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 18 16:54:53 2014 +0100

    demux: dash: use DemuxLeaf for DASH

commit 160775c0998ba6cbd11a1e133fc9577fe6c21ba2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 18 16:55:15 2014 +0100

    demux: mp4: skip unknown boxes with DemuxLeaf

commit 7d42832c3bfc826e66eb42fc2c95d98cbaebf435
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 20:51:28 2014 +0100

    stream_filter: dash: better indent for debug

commit 72a278f6c5eb209e713d82207c8d0727d44183c2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 18:21:20 2014 +0100

    demux: ts: use dts instead of pts for no-trust-pcr
    
    still wrong though, not stricty increasing with streams > 1 :/

commit 9cbad0620190728e14b1fd9585b668e92dfc2edf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 18:20:42 2014 +0100

    demux: ts: don't send TS_INVALID with no-trust-pcr

commit 708fee3ab77fd5959fbd87c74b2df9a1c5b9d0bf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 17:30:32 2014 +0100

    demux: ts: don't try to seek on non seekable

commit 1ad96d63ff9ca3e9ab6d41df58837c66e65444a8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 16:50:49 2014 +0100

    demux: dash: handle MPEG2TS profiles

commit 945f6e087d0c45f067e6cc597149879eb561c4de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 16:50:03 2014 +0100

    demux: dash: add Stream::Format
    
    Not mandatory to be mp4

commit 697f59f95c086d1eef52af05ce9fa97a195d3c0d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 16:47:43 2014 +0100

    demux: dash: regroup under SegmentInformation

commit 738ebc3c50b6ccb48fed0dec423466c73b238e41
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 17 16:54:43 2014 +0100

    demux: dash: drop broken BasicCMParser

commit e186a15e09a3016b79f4fe8c201f9cc2a9678236
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 15 20:12:34 2014 +0100

    demux: mp4: allow non seekable on fragmented

commit 046732dc63076f308206c30276ec2a3a226bde7b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 15 19:49:08 2014 +0100

    demux: mp4: correctly read defaults for DemuxFrg/DASH

commit 291e6565fe0ae2dd3a8d5bfdefd28ef4e2001a20
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 15 19:48:20 2014 +0100

    demux: mp4: add MP4_GetDefaultSizeAndDuration helper

commit a0398a6d80b61da1d493827a77b455f9c9e7f45c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 15 20:29:42 2014 +0100

    demux: libmp4: add tfdt atom

commit dbfd7a5d44e3b0e8bef4628ab7aa7dc2bb71f394
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 15 15:56:40 2014 +0100

    demux: libmp4: add styp atom

commit 5990437326f5b1d18039b42bbf43276351dcc35d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 13 14:33:31 2014 +0100

    demux: libmp4: don't seek within dref/stsd box

commit da17f9450fe8f371fdcb181a08ec8fcac8920af2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 13 14:11:49 2014 +0100

    demux: libmp4: add unseekable workarounds

commit 2f246ccf64b0ac5dd773baf558140f080e664294
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 13 14:07:57 2014 +0100

    demux: libmp4: add AddChild helper

commit 0d4fd66b2dd0521fdc5e788859ee6a1a978a73aa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 12 14:38:28 2014 +0100

    demux: mp4: really don't probe segments if not seekable

commit e4c7e797046fe7665869f34d1294bfa85edefd14
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 12 14:38:01 2014 +0100

    demux: mp4: add DASH major and switch demuxer accordingly

commit c04ebc35a267765807e3d5a9050efb0531973b87
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 1 17:35:21 2014 +0100

    stream_filter: dash: change as demuxer

commit 33d200ee539979eeb1394ac0350fa578efec8bd3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 15 16:43:48 2014 +0100

    stream_filter: dash: for now set adaptation interval

commit 614eb9b928998285de9d3cb5eab2cc7fb818321c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 12 12:10:21 2014 +0100

    stream_filter: dash: compute rate statistics in logic
    
    Logic need to do computation as they need.

commit a03587d37fd53d9fc7abf7608e1dea8f9ac98ee3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 11 21:41:39 2014 +0100

    stream_filter: dash: add support for templates/live profile

commit 070ce589076458ce7966795debb628d0876e7285
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 11 21:41:04 2014 +0100

    stream_filter: dash: add segment duration

commit 6c8bc5c24947016e24dbcbc03811432978b066ff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 11 21:38:10 2014 +0100

    stream_filter: dash: build urls using class
    
    We'll need this for templates

commit 26beaad624f88fce900e7c6669aa55f86062a58f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 4 15:15:29 2014 +0100

    vlc_demux: add defines for pf_demux return values

commit de481b7b3d8e7ea24010c4da4257813edd793bf4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 10 13:36:15 2014 +0100

    strings: use US locale to parse ISO_8601 time format
    
    Or fails on PT123.123S

commit 09df186b596d2ffa1b01d6cad50b4636ab85eb53
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 10 14:47:02 2014 +0100

    stream_filter: dash: evaluate correctly live stream
    
    Live profile can be replayed as static after broadcast.

commit a8a3c8e423bf325b63154887cad0f87dfeeac616
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 10 12:36:55 2014 +0100

    stream_filter: dash: add support for SegmentLess representations

commit 8741c01919dbc376d8a6aa2ffdf22bde63788043
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 5 16:59:09 2014 +0100

    stream_filter: dash: get rid of the useless thread_sys

commit bc4b30503506e9e645d2a8178cec18638d5cd251
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 4 16:18:43 2014 +0100

    stream_filter: dash: ensure chunks have hostname and fully chain build url
    
    Otherwise, connection can never be reused, and late url fix is ugly

commit 3eb5817a12b8ab2b64e91315c9706b719cc8db61
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 3 12:50:08 2014 +0100

    stream_filter: dash: refactor adaptation logic classes
    
    and clean useless includes

commit 9df6750e4808e631b1d92eb3500fa932accbebb6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 1 18:16:29 2014 +0100

    stream_filter: dash: drop MPGManager{Factory,}
    
    Was useless proxy for periods

commit 737a297d3d84ae8ef73c5d89e11ded8869133b54
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 1 17:36:47 2014 +0100

    stream_filter: dash: add segment start time

commit 6dd2798f34335d29dd9fb7720ea82707fa27f848
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 30 15:41:10 2014 +0100

    stream_filter: dash: split all logic and queues by stream type

commit dbcef6f754ff29d799623426df5941df128d5932
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 30 15:38:36 2014 +0100

    stream_filter: dash: Split monolithic segments using index

commit 98b674d719d43ae3cc1f34d77b5f794ceba736ad
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 28 17:55:43 2014 +0100

    stream_filter: dash: add classId to segments

commit 8853765534bd0fd315ecf000562724dbfc8f7517
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 23 12:46:23 2014 +0100

    stream_filter: dash: add MP4 atoms reader

commit 75f7f4f68da9573782bbf9a2edee674ef0d53e1b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 27 15:35:53 2014 +0100

    stream_filter: dash: add alwayslowest bitrate logic

commit 78b1c0325e207d89f891fc2c6e886ce93686bec1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 27 12:27:11 2014 +0100

    stream_filter: dash: return lowest representation if none match bw

commit 2a852751744231104cee5a981fd69d7acdeab201
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 27 11:39:54 2014 +0100

    stream_filter: dash: remove vlc object ref from adaptationlogic

commit 3a60ec4b45614a26ed4af8635ece5c729b09d980
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 27 11:29:33 2014 +0100

    stream_filter: dash: remove duplicate member

commit e9a42b2dffa3c606a38ee90b3b8ecd54bb58843b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 26 22:25:04 2014 +0100

    stream_filter: dash: use dedicated segment classes and improve debug

commit 3240284781e1d9409694fc79e5da32cb03169b9e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 25 13:15:24 2014 +0100

    stream_filter: dash: simplify MPD factory

commit 47af7ca1a031c282717c8f679a9f626669e23334
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 25 13:14:11 2014 +0100

    stream_filter: dash: have vlc_object accessible from, at least, segments

commit 9227c8718402fe8b5706f575408eacaf858ebc48
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 25 09:20:51 2014 +0100

    stream_filter: dash: rewrite the http connection and remove double queuing
    
    Ahead chunks now equals network-caching

commit 1afd4f374d05eadc4dbaff0ca714a58e66105c36
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 24 13:18:49 2014 +0100

    stream_filter: dash: bytes to read != length

commit 6a8ddb3478064f4fe96c63c368e9684ecf0c1b6f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 24 12:58:58 2014 +0100

    stream_filter: dash: don't store http reply as member

commit cba9fffaf2c49f2992057ff12969330ae2f65df1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 23 23:56:02 2014 +0100

    stream_filter: dash: fix double buffer alloc

commit 58e9be2a3a43d9533c0c0b04b02b250dc95cbf4c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 23 20:18:23 2014 +0100

    stream_filter: dash: handle segments through interface

commit b59e03d0a272ce0fcca94364910189b867ad29c7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 23 18:44:56 2014 +0100

    stream_filter: dash: add segment chunk class

commit 8ee98d1a9be317fea337ccbce6866f19549997b7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 23 18:32:33 2014 +0100

    stream_filter: dash: add callback method on chunk download

commit 0b80d62097623b46a7f1abb1b9c8180a002b3606
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 23 14:20:09 2014 +0100

    stream_filter: dash: add subsegments
    
    We'll need to split single file, ranged chunks

commit 33097d5d6b88d6e430a05b74e30597e17a0e0af1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 22 11:21:05 2014 +0100

    stream_filter: dash: simplify next chunk condition

commit c1481178bd3dd312ac57c1a6d43c14640f559cbd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 23:01:09 2014 +0100

    stream_filter: dash: get mimeType() from representations

commit 27915e893b34095ddfdb1572bf907c3e4c40b3c4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 18:13:23 2014 +0100

    stream_filter: dash: add User-Agent

commit 7b7f4b588356fe8c9f22e0e9c8af5db80c06c108
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 18:01:36 2014 +0100

    stream_filter: dash: move out include from header

commit 2801bd5aa917225a8d8cdaca5eb478cd1c5a5ca2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 18:00:15 2014 +0100

    stream_filter: dash: refactor the HTTP thing

commit 06a576930874cf1aff61d2a34d970ecc9d1e2e5b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 16:24:13 2014 +0100

    stream_filter: dash: remove useless includes

commit 5b85664ebad831d7a77b8cad8e2fc94cd316e18c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 14:52:56 2014 +0100

    stream_filter: dash: factorize http header stuff

commit e50f11bb2b748fa74058f12a8921f580a31af28e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 14:28:49 2014 +0100

    stream_filter: dash: fix byte range signedness and simplify

commit 608f6ca6913e6c25bb64fe13bec89796cf44813b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 14:28:19 2014 +0100

    stream_filter: dash: fix memleak

commit 14ffa9c8dd986a27594ea11ea9c13855dd598caf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 13:09:14 2014 +0100

    stream_filter: dash: support Base/Range only segments

commit 22af55ce63dda6844b5d25d870a9d8c380628a23
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 20 12:26:27 2014 +0100

    stream_filter: dash: add init flag on segments

commit 7081fb2b01a5e3651eb24649db87802636e7a40f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 19 18:20:57 2014 +0100

    stream_filter: dash: build URL hierarchically

commit 14f9d9d4864e7549c33f98546116baf43942016b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 19 13:49:38 2014 +0100

    stream_filter: dash: fix endless loop on thread early cancellation

commit 5c7cc78915d38491375e7b68098840fd995e3267
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 23:35:32 2014 +0100

    stream_filter: dash: remove unused member and methods

commit 02c07d358a373d41ec60861d57b6e2f51f3df1a0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 23:31:54 2014 +0100

    stream_filter: dash: simplify getting duration

commit d91beca3ed0ac081ea1a884c185b1ece92ee7c93
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 23:19:11 2014 +0100

    stream_filter: dash: remove double initialization

commit 077312c6187965eed1c99a2f9fdd7749507e2304
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 23:10:24 2014 +0100

    stream_filter: dash: merge managers

commit cd12fedb3788073096c5dec94a70adcf53477f01
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 10 14:12:05 2014 +0100

    stream_filter: dash: add missing includes

commit 890887dee4c44d20565274675f07062c2b8c325a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 22:58:33 2014 +0100

    stream_filter: dash: move representation selection into logic

commit eb2d6145f5a90a63ebe00b71cb729b4beeed94ee
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 16:43:21 2014 +0100

    stream_filter: dash: always get segments through representation

commit 80706d9770ea6432d5ac8a420295c9aa6031059f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 16:20:01 2014 +0100

    stream_filter: dash: simplify getBestRepresentation

commit 1134fcdfe543f5c5ec9c2df486f9b69daa3628b1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 16:06:31 2014 +0100

    stream_filter: dash: switch default parser

commit 62dd5ef745e430febe3edee75d487775d612f3ca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 15:30:59 2014 +0100

    stream_filter: dash: add representation baseurl

commit 2632d19a1b2b68011806e8d3a2c807f899023485
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 15:25:37 2014 +0100

    stream_filter: dash: don't try to close invalid fd

commit 247df4e90669143474d9e27ec2fcb4d4a776bcba
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 18 14:16:02 2014 +0100

    stream_filter: dash: remove unused segment methods

commit 2da28c96ee34523425ec9b0e25d6ace25cbc6611
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 17 22:42:10 2014 +0100

    stream_filter: dash: fix iteration on different lists
    
    List was not returned by reference

commit 82a8e3f282e63aba9649293f9fcaea63e9ee32e2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 17 20:00:04 2014 +0100

    stream_filter: dash: update profiles

commit 4f091cf0e8ad22a17f630188f6f17c132ee817ab
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Dec 18 14:59:13 2014 +0100

    main: remove extraneous subcategory (fixes #13111)

commit d4ccd7a5b404f62435c60ecc65f772dab83f5937
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Dec 17 14:26:50 2014 +0100

    Fix broken NowPlaying (close #9960, #11796, #12850)
    
    Prevent the es_out from overriding the NowPlaying state by splitting
    the meta into NowPlaying and ESNowPlaying.
    
    The function input_item_GetNowPlayingFb can be used to return the
    preferred meta value.

commit 08969c41138ab8b176c2477b7061d0eb0dbb99c3
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 17 18:39:29 2014 +0100

    ncurses: fix exit
    
    Closes #11877

commit 868f5b89056218030b690621e89ca97b46635f6c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 16 12:02:27 2014 +0000

    swscale: fix memory corruption when i_extend_factor != 1
    
    This led to a random crash when resizing video on a small display (or when
    resizing small video).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bff20615be6d649a4c6172f97cf18b335157befd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 16 19:42:49 2014 +0100

    android/surface: fix prototype
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b4f82863112de7e0344bba09d3204813da6cc18c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 17 10:29:09 2014 +0100

    mediacodec: fix deprecated calls if API >= 21
    
    Use getInputBuffer and getOutputBuffer instead of getInputBuffers and
    getOutputBuffers.
    
    see http://developer.android.com/reference/android/media/MediaCodec.html
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 095cb6bba1dda367e558da90fd143426f8b7ff44
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 16 19:42:47 2014 +0100

    mediacodec: add member.critical
    
    Fail only if a critical method is not found.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7609d6bfa49b6467ae490c2f4fb4f24f8e45b0bc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 16 19:42:46 2014 +0100

    mediacodec: lock InsertInflightPicture
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 18e4554fec8a470fc1b96a31532c80a0f9b4bc36
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 16 19:42:45 2014 +0100

    mediacodec: use a dynamic array for inflight pictures.
    
    Starting API 21, the way to know the number of output buffers is deprecated.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 853a6c489c353ecd994bc73912139281d30ee0d4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 15 19:46:34 2014 +0100

    Contrib: update upnp win32 patch
    
    Mostly to remove "#include <iphlpapi.h>" which is unecessary, and can
    break
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1bd957daba56749e8d5a1d2d348bf85015e03441
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 14 17:54:46 2014 +0100

    contrib: allow RECONF without depending on gettext/autopoint on iOS

commit 68ead3cb1ecdc4affb88c86a14777884b3e6ac2f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 16 19:59:57 2014 +0200

    es_format: avoid copy in video_format_IsSimilar() if possible

commit ab500430e6dfd02ae4e19ecb9a3d76f3f9486522
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:24:25 2014 +0200

    playlist: automatically resume from pause when uncorked

commit 43b06eed8eb5bf46e64fb2c9648643dde8cda9c1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:22:46 2014 +0200

    playlist: use the new playlist_Pause() where appropriate
    
    This fixes corking especially.

commit a437fe543c74f75ccaa9be8afce252449e7afa66
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:21:58 2014 +0200

    playlist: use playlist_TogglePause() directly, fix minor races
    
    This function already starts playback if stopped (and as far as I know
    it always has).

commit c5cf7793034e97d99773c826bf5933fbc8650968
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:20:29 2014 +0200

    playlist: use playlist_Play() directly, fix minor races
    
    This function already checks if the playlist is running internally,
    in which case it has no effects.

commit 612bcfc8841f716673c5009ebe14e7463fdc4464
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:07:24 2014 +0200

    playlist: add (proper) playlist_Pause() and playlist_Resume()
    
    Those two functions have no effects if the playlist is stopped.
    Otherwise they force the playlist to playing ("running") or paused
    state respectively.
    
    As a reminder, the existing playlist_Play() forces the playlist into
    running state (unless it is empty), and playlist_Stop() forces the
    playlist into stopped state (unless the input thread refuses to die).
    There are no functions to force the playlist to paused state.

commit 3decf12342f9ac36f2637810f26aaae5196f0d8b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:03:59 2014 +0200

    playlist: remove status.i_status

commit 8fed9f2183147c95dbf213adb7e42ca3771cbaf0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 18:29:50 2014 +0200

    playlist: remove request.i_status

commit 522604203a352da515e5f557de039193f7bbd250
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 17:45:55 2014 +0200

    playlist: rename playlist_Pause() to playlist_TogglePause()
    
    The behaviour is unchanged:
     - if stopped: starts playing,
     - if playing: pauses playing,
     - if paused: resumes playing.

commit 156b305884ea57e5d5bc7f96ebe13466f845149a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 17:41:16 2014 +0200

    playlist: remove unused return value from playlist_Control()

commit 6efc10f0a54c3164f5df8ca50482fb35cd9d3d12
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 17:39:39 2014 +0200

    lua/playlist: do not handle impossible error

commit 969a8451cc02885a0fb411da1216667f2f38a302
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 15 16:49:01 2014 +0100

    Win32: don't build NPAPI in package-win-common
    
    Many people don't care about NPAPI and it's hard to build

commit 8d2c4eacf208619729112b35869faa1e85793385
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 18:59:54 2014 +0200

    playlist: move playlist controls to vlc_playlist.h

commit 0514bc5f19bbcaf5d4e79d11786861377d58f8e0
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sun Dec 14 23:50:03 2014 -0500

    Revert "faad: drop byte of padding for raw streams"
    
    This reverts commit 937911d559051522554ac6f0d6d35fc0836d541a which was
    obsoleted by commit 0fd580b8c0f1590d2b01a5062b4a1d616cd80e1c.

commit c14f9cdfb7e9e66eb16bb6f81982a07ada6d865a
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sun Dec 14 22:33:57 2014 -0500

    faad: always drop byte of padding (fixes #5257)
    
    Also covers #2575 and #11514

commit e827a9404e415145dfc348a50632fe0b3338a01c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 14 22:48:33 2014 +0100

    Qt: avoid crash in resume dialog
    
    I don't really see how this can happen, but it should fix it.
    
    Close #13190

commit 4588b01c03fe8c62048cad31a894cbf9fe09c65d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Mar 12 14:48:12 2014 +0100

    contrib/harfbuzz: work-around build system stupidity breaking clang compilation

commit c742f25d0e4dbc1444c1e5162fa0e4e9cad49c33
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 14 13:17:07 2014 +0100

    extras: fix iOS prefix for AArch64

commit 9ecbe11b0d2a1c709b3bd8067450a007600ef6ca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 13 17:09:49 2014 +0100

    Qt: fix frame around time in toolbar editor
    
    Close #12888

commit 776ea95fd86732ac1fc891733d1e25e165f50196
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 13 16:37:15 2014 +0100

    Qt: frame around speed selector is unnecessary
    
    Or just ugly in some themes

commit 05c433624791b01babcb1ccb72766fb2a5062fab
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 18:41:18 2014 +0200

    swscale: scale within the crop area, not top-left (really fixes #12085)
    
    Unfortunately, this can cause a slight offset of the colour planes if the
    top/left crop offset is not a multiple of the subsampling ratio.

commit 03025ff9b202d69de4d75732f387260ac2ed060e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 17:35:24 2014 +0200

    Revert "swscale: scale the whole picture (fixes #12085)"
    
    This reverts commit 44d4685b1ca4d1b58c4ce77d479103d482be5d14.
    When using a scaling algorithm other than nearest neighbor, this change
    caused the picture padding to be scaled with the video.

commit 13caaaf3467bbfb612cde2f0db925cd5210803f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 18:06:13 2014 +0200

    swscale: remove constant parameter

commit 70ac90e059982aaa4e41e61a65ac159f90046ccf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 17:54:28 2014 +0200

    XCB/XVideo: add a TODO

commit 378ac85a61b3d0aed82eae2177287a899699de2b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 17:26:55 2014 +0200

    vout: update priority rules to account for SPU blending
    
    This moves Direct3D on Windows (with no effects on actual order) and
    OpenGL on Linux/BSD (now exceeding XVideo thanks shaders and blending).
    
    It remains to be decided whether OpenGL should be increased on Windows;
    in principles, it should have a higher priority than D2D and DDraw.

commit b2ff0fbc9271fff87f36e43c4af218ea3a3fcfdd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 17:22:53 2014 +0200

    Wayland/SHM: fix priority

commit b7e1db84295007a76e585ec6590bd9a75f1e3006
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 17:11:22 2014 +0200

    vout: document the priority rules

commit 4aa17707fc63c59ea173347d9b695a9a415822fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 12 17:02:45 2014 +0200

    XCB/XVideo: request correct picture format from the adaptor
    
    This is bug compatibility for XVideo drivers that scale the whole
    picture rather than the source rectangle (the XVideo 2 specification
    does not really state which behaviour is correct).
    
    This works because the video output core only applies crop parameters
    *after* the vout display plugin is activated. This is brittle though:
    the A/R and crop parameters should probably be passed as configuration
    like zoom.

commit f37b3cb09cd3266e4f50c4aaf754677cc0ea97b8
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Mon Dec 8 11:58:18 2014 +0900

    access_mms: fix linkage on OS/2
    
    -----
      CCLD     libaccess_mms_plugin.la
    weakld: error: Unresolved symbol (UNDEF) '_vlc_poll'.
    weakld: info: The symbol is referenced by:
        P:\tmp\ldconv_libaccess_mms_plugin_la-mmstu_38da54703f4316fd10.obj
    Ignoring unresolved externals reported from weak prelinker.
    Error! E2028: _vlc_poll is an undefined reference
    file P:/tmp\ldconv_libaccess_mms_plugin_la-mmstu_38da54703f4316fd10.obj(ldconv_libaccess_mms_plugin_la-mmstu_38da54703f4316fd10.obj): undefined symbol _vlc_poll
    -----
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2b670becb799a36398bb19a64b62dad22d21fc91
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 12 12:38:54 2014 +0100

    mediacodec: fix jni LocalRef leaks
    
    We can only have 512 LocalRefs, so don't leak them.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit be0c8c647577b61574bd212c5afb1d7992e89236
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 10 22:13:45 2014 +0100

    Contribs: fix zvbi compilation for Android

commit 204291467724867b79735c0ee3aeb0dbc2200f97
Author: Fabian Yamaguchi <fyamagu@gwdg.de>
Date:   Fri Dec 5 13:58:24 2014 +0100

    stream_out: rtp: don't use VLA for user controlled data
    
    It should fix a possible invalid memory access
    
    When streaming ogg-files via rtp, an ogg-file can trigger an invalid
    write access using an overly long 'configuration' string.
    
    The original code attemps to allocate space to hold the string on the stack
    and hence, cannot verify if allocation succeeds. Instead, we now allocate the
    buffer on the heap and return if allocation fails.
    
    In detail, rtp_packetize_xiph_config allocates a buffer on the stack at (1) where
    the size depends on the local variable 'len'. The variable 'len' is
    calculated at (0) to be the length of a string contained in a specially
    crafted Ogg Vorbis file, and therefore, it is attacker-controlled.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fbe2837bc80f155c001781041a54c58b5524fc14
Author: Fabian Yamaguchi <fyamagu@gwdg.de>
Date:   Sat Dec 6 13:12:38 2014 +0100

    misc: update: fix buffer overflow in updater
    
    On 32 bit builds, parsing of update status files with a size of
    4294967295 or more lead to an integer truncation in a call to malloc
    and a subsequent buffer overflow. This happened prior to checking the
    files' signature. The commit fixes this by disallowing overly large
    status files (above 65k in practice)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3a71b317f58e3ef627b65ae16d1c3403aaf171f4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 10 18:19:51 2014 +0100

    dsm/sd: discover in a separate thread
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 91b638ccdca03b191da21c705739273d89cea8a6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 10 18:19:50 2014 +0100

    Require libdsm >= 0.0.3
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff44600ff428fae991bac2c7ccc4984472380582
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 10 18:19:49 2014 +0100

    contrib: update libdsm to 0.0.3
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c1f2ee018d680c70d74b2b4e73fbe0e4f4fc56e4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 10 18:19:48 2014 +0100

    contrib: fix libdsm and libtasn1 rules
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fadec97356fe30465ce1883e72b3b6ee7bf22572
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 10 18:19:47 2014 +0100

    dsm: don't use netbios struct members directly
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8d48e95e9fe21e92e5da0ed0613ff86c5aa764f8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 9 22:13:08 2014 +0100

    lib/media player: inherit vbi-page to achieve correct variable value on first use

commit 446225d19f2f22c6d2c7c5f831421fa2976bbe81
Author: Diego Biurrun <diego@biurrun.de>
Date:   Tue Dec 9 16:58:08 2014 +0100

    libmp4: Move variable declaration to avoid unused variable warning
    
    demux/mp4/libmp4.c:858:12: warning: variable ‘translate’ set but not used [-Wunused-but-set-variable]
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0e9d45e72a00ab9b9616bf71a33aba32d67d3332
Author: Diego Biurrun <diego@biurrun.de>
Date:   Tue Dec 9 16:58:07 2014 +0100

    H.264 packetizer: Drop unused variable
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 79db2468b244a6ca0d08cf61072b331f01fb93f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 18:49:10 2014 +0100

    Koreus: fix lua escaping

commit 975a88e1e8e50608b5dfe1e34342d7dc06a4b6fe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 18:38:22 2014 +0100

    Koreus: improve description parsing (support spoilers) and https

commit feceed5a1d44de66c092c8afcff70026302775e2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 9 11:07:01 2014 +0100

    Contribs: update autoconf files for zvbi

commit a67197ef4990870b3912f189aa9f17656148b7d3
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Tue Dec 9 10:48:01 2014 +0100

    mpg123: simplify error handling and fix leak

commit 5bde7a829460eb1accaad8f28ec43d0b179ce131
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 8 23:50:32 2014 +0100

    contrib/vpx: fix compilation for AArch64 with the updated iOS build script

commit edd9048b56d680967f7fe65eb20ba458d91772eb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 8 23:50:04 2014 +0100

    contrib/ffmpeg: minor cleanup

commit 2dcf4d9cb66f09ba23fc60addc111061f1573a94
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 8 23:48:52 2014 +0100

    contrib: don't treat AArch64 as ARMv7 for iOS

commit fe69b6768d6a1ae820a038ea05bff9eb4d35452f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 8 23:48:12 2014 +0100

    ios build script: adapt to the Android style of compiling for AArch64

commit 2e7c7091a61aa5d07e7997b393d821e91f593c39
Author: Fabian Yamaguchi <fyamagu@gwdg.de>
Date:   Fri Dec 5 13:52:42 2014 +0100

    demux: mp4: fix buffer overflow in parsing of string boxes.
    
    We ensure that pbox->i_size is never smaller than 8 to avoid an
    integer underflow in the third argument of the subsequent call to
    memcpy. We also make sure no truncation occurs when passing values
    derived from the 64 bit integer p_box->i_size to arguments of malloc
    and memcpy that may be 32 bit integers on 32 bit platforms.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2b35d73264314152e8942f4deb4fd3a607b48c03
Author: Uwe L. Korn <uwelk@xhochy.com>
Date:   Fri Dec 5 20:11:06 2014 +0100

    taglib: Support reading of DiscNumber from ID3v2 and Xiph tags
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dae78cbb0eb6b3ca286aea38c51b08cf32ef30c7
Author: Uwe L. Korn <uwelk@xhochy.com>
Date:   Fri Dec 5 20:11:05 2014 +0100

    input: Add support for DiscNumber meta
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c203a9083932ce7004d22a67d50c897a28921e07
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sun Dec 7 11:45:38 2014 -0500

    Revert "contrib: use speexdsp 1.2rc2"
    
    This reverts commit 67066bf6dccc61ff15b6385dd80451a025a5217d and
    1a2780cbbc0ab64dacfedd132f1d95aecf3df45d as there are still some
    upstream issues to resolve.

commit 1a2780cbbc0ab64dacfedd132f1d95aecf3df45d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 7 16:39:32 2014 +0100

    contrib/speexdsp: fix compilation broken in 67066bf6dc

commit 67066bf6dccc61ff15b6385dd80451a025a5217d
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Dec 6 18:08:35 2014 -0500

    contrib: use speexdsp 1.2rc2

commit b7c4173cb7cb5a4a8656abb4f1a59de6209562dd
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Dec 6 17:40:25 2014 -0500

    contrib: use speex 1.2rc2

commit bae26a1be6643dc9b6e6235b3923909c43c64a3a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 5 20:05:16 2014 +0200

    configure: fix FAAD linking test (-lm) and clean up
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 89d74241c7917eb5a2548e6467c65777777f957b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 6 15:18:31 2014 +0100

    Vobsub: better debug message

commit 6f2e9c480f3b78e7a138349c3e9d5c864131aeeb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 5 23:18:09 2014 +0100

    RTP: remove trailing spaces

commit 229c385a79d48e41687fae8b4dfeaeef9c8c3eb7
Author: Fabian Yamaguchi <fyamagu@gwdg.de>
Date:   Fri Dec 5 15:37:05 2014 +0100

    codec: dmo: avoid null-pointer dereference.
    
    Check the return value of malloc to avoid a null-pointer dereference.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9bb0353a5c63a7f8c6fc853faa3df4b4df1f5eb5
Author: Fabian Yamaguchi <fyamagu@gwdg.de>
Date:   Fri Dec 5 15:18:22 2014 +0100

    codec: schroedinger: fix potential buffer overflow.
    
    The variable len is a raw 32 bit value read using GetDWBE. If this
    value is larger than UINT32_MAX - sizeof(eos), this will cause an
    integer overflow in the subsequent call to malloc, and finally a
    buffer overflow when calling memcpy. We fix this by checking len
    accordingly.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff0fab9d3476165302ccebc47765c198491886de
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Dec 5 12:28:05 2014 +0100

    mpg123: missing p_block release

commit edeb3ffabbc1ec9c957206158834269afa21fafb
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 4 16:45:36 2014 +0200

    livehttp: don't remove previous playlist on open if segment-number is given
    
    If we provide initial segment-number, most likely we want to continue
    where we have left of, so leave old playlist-file there and just
    overwrite it when we updated it.
    
    default initial-segment-number is 1 so don't test against 0

commit 85917d0522c1bc3b3ce292faf66f71e8ee8d5a80
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 4 16:50:38 2014 +0200

    livehttp: add DISCONTINUITY on playlist if we have restarted stream
    
    If provided initial-segment-number option, signal discontinuity so
    player knows to reset timestamps etc for new segments.

commit f06ef3b4e5399e02ec7666537315472995f777f5
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Sep 27 16:45:15 2014 +0300

    transcode: give proper src fmt for subtitle overlay

commit b972fe8b6aa180ba0b37057f04a43a422eda895c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Sep 27 16:44:24 2014 +0300

    avcodec: set absolute/ephemer comments/values correctly

commit 5967150642d875f12aa69ecc853e935fc593077a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 3 17:27:57 2014 +0100

    mediacodec: add rotation support for opaque
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit daaa3c659102b9bdff731e632fa42eefde268fd0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 3 14:47:42 2014 +0100

    Winstore: allow SetThreadPriority call
    
    This mandates 8.1 though

commit 1df6e651c0a46a99bcc99a66f98c7277d84aff16
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 2 09:33:49 2014 +0000

    Messages: add AndroidPrintMsg cb for Android
    
    On android 5.0, PrintMsg blocks on fprintf when stderr is locked by flockfile.
    
    This commit adds a default log callback for android in order to fix this issue,
    and in order to have early logs (before libvlc_log_set is called).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0108485edd6dc523bf771e52a1c1e3ae80173aa8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 2 09:56:24 2014 +0000

    Android: deactivate audiotrack automatic loading
    
    Use it only if specified by --aout arg.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 21d38e97721e67c59c0254efddaf2f10a1b0a95f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 2 23:20:31 2014 +0100

    Missing header

commit 9a3c952731562711c0bf755391752c653ff26550
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 30 15:17:34 2014 +0100

    Test RSA 4k signatures

commit 61f7f3dc630f5cb3573cb648413e1c52d5c81ec2
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Tue Dec 2 13:37:54 2014 +0100

    Add MPEG audio layer I, II, III decoder based on mpg123

commit 575a20f3c2f5ae886a63b27a7e2c9bce7e997075
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Dec 2 12:36:58 2014 -0500

    qt4: remove tautology, constify singleFileSelected

commit 0e2d8cd6f687004c4a53ec66b14992e2e0fea76c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 2 17:43:28 2014 +0100

    VLSub: minor fixes

commit 18091f15cda12e2e65849c428de10561f33010d6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 2 16:11:38 2014 +0100

    Contribs: mpg123, don't build programs
    
    This failed on Android, for example

commit 10cc586e39268cd32d87e6fed5c907d4fa8175bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 1 11:56:26 2014 +0100

    Mention fps in NEWS

commit 64c6d66017a81ef97fd45fb4cdcae071545aa766
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Sun Nov 30 21:17:41 2014 +0100

    stream_filter: smooth: minor optimization
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4b94edddcad21a2702814550e46b1a0ebac02304
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Sun Nov 30 21:17:40 2014 +0100

    stream_filter: smooth: fix segfault
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 39f6a7cf6afdbd187fd4a36c86d0dfcb08acd49f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 1 09:31:19 2014 +0100

    dsm: don't export too common functions
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 71e99db875d9688f4cb5e2651395338b267bee0c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 1 09:31:18 2014 +0100

    fps: don't export too common functions
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 23cf269808973b12ce939182534d9c1b98afed2f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 30 21:08:49 2014 +0100

    securetransport: fix compilation warnings

commit f786fa737196edf8c53bd2eb156afd3c2c76e1ce
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 12:45:22 2014 +0200

    sout: send non-dated packets to sout
    
    When input is H.264 they don't have pts/dts sometimes before decoder, but
    dropping non-dated packets screw up decoder.

commit 5b2c4304dfafc5ebe28f08a2993dfb2c62c55dec
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 30 15:37:42 2014 +0200

    sout: only wait all ES if muxer can't add tracks in any point

commit e2c7381b34bc0038d61efc8c93d0ad6feb8b1ca7
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 12:23:28 2014 +0200

    Revert "sout: Don't wait until all the es has atleast minimum amount of blocks in fifo"
    
    This reverts commit 57b356e2e2f646f7907a1518dbe605fc9899bc02.

commit 944d96f758f109bdea7d18a02d95b8cd30f828f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 30 15:15:33 2014 +0200

    DirectSound: really fix uninitialized mutex (fixes #12845)

commit 62a5a151673cdc8fc1300d93789006cdbcdf8873
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 23:47:19 2014 +0200

    transcode: refactor fps conversion out from video transcode
    
    Use fps video filter for framerate conversion. Also do framerate conversion
    after deinterlacer so we don't screw deinterlacing with frame dropping.

commit 8e86c76d6a64d30c7667bfbb6be343e25689df75
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 19:43:55 2014 +0200

    fps: new video filter to convert between fps rates

commit e8d253fc7c99456fe732b4cf8680e984a2800462
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 30 12:27:53 2014 +0200

    Ignore dummy.cpp

commit 68386325c5fb1895fd29bdbf5f8e1590dd767c21
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 29 16:53:21 2014 +0100

    macosx: small visual improvement for resume playback dialog

commit ad1f4a32fc9da33576be0b97003f6b60dfec0ec4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 29 16:49:09 2014 +0100

    disable aribb for iOS

commit 67b241aa87e243ac7906c11efeb47bfe2578a3c6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 29 15:01:39 2014 +0100

    macosx: cancel resume dialog after 6 seconds
    
    Also reduce intentation of code.

commit 20f32dd168a37dde277edae8aee90906e79dcef4
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 13:52:26 2014 +0200

    avcodec: use qscale=3 as default if videobitrate isn't provided
    
    If user doesn't give videobitrate use some reasonable default to get ok output
    from avcodec transcode (for example mpeg4 video).

commit f91af6c0d2cad14f30d5876c895a1ff9460f0264
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 29 12:51:33 2014 +0100

    macosx: correctly toggle enabled state of record menu item

commit a1b3cbc47673b08f8cb39961a97bf3ba0948b343
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 29 13:43:06 2014 +0200

    test: update .gitignore

commit 544146a37fbac5d60ea4cb04f702b815d6fafd99
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 29 13:42:13 2014 +0200

    Ignore trs files from test suite

commit 971037451cb82979593b3e24c31a59854bd3fb15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 29 13:36:02 2014 +0200

    mpeg_audio: compile fake decoder only if mad is present

commit ac5caa2c888144ff27c30e0eb26536f7ffedc8e5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 29 13:14:22 2014 +0200

    mad: clean up build rules

commit 908ae0741c98f330e294d3a40648120b1df43d4c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 29 12:43:17 2014 +0200

    configure: remove --with-*-tree
    
    Everybody should install the underlying libraries somewhere and, if
    necessary, pass --with-* to specify the installation path (this is
    automatic for VLC contribs).

commit cdb3104a320e13d4775da9b76dc3d33932843f02
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 28 18:19:58 2014 +0100

    extras: fix gas-pp installation

commit 1ed45cf5019d7a9a46c87da3b2c82a42b503507b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 29 12:39:53 2014 +0100

    ios: disable protobuf

commit ac66eb9f1456d776f137fe0186b566d653b2dcf3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 29 12:34:21 2014 +0100

    macosx: fix build

commit a3654038be6b123568074813ef9f6f335bb38997
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 13:14:22 2014 +0200

    transcode: check input picture drop only after deinterlace filter
    
    Refactor so deinterlacer/scaler is fed with all input pictures and not only
    ones that encoder needs.

commit 02ef60469a044a8c3d9e2301c66abfcf1644c88a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 29 12:44:23 2014 +0200

    transcode: increment input pts even if we don't need to process that picture

commit fd89198cdb7e6121380f374235ffdb7f6314d98e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Oct 16 11:30:55 2014 +0300

    transcode: set b_master_sync correctly

commit 054453dd1558f8385acb9ff57725d6f7f0db4362
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 29 12:29:06 2014 +0100

    mac: update build.sh
    
    Auto-detect current osx version, overwrite path to avoid influences
    from macports or homebrew.

commit c07294b17080f46e5940e9d24b4c52c78da0363e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 29 12:27:46 2014 +0100

    macosx: set better colors for playback speed controls (close #12633)

commit 44902c2ec03ed7628a2fdd943583f62e8fa74e9b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 29 12:17:27 2014 +0100

    Qt: StatsView: don't scale line width (fix #12853)

commit 79e5fa67e941bdf654aaf2540a35c865d2c9188d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 9 20:10:03 2014 +0200

    http: XML-decode Icy meta infos (fixes #12739)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 57e64db2f6de29adc531ea8553637470e4ec2f8a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 29 11:44:45 2014 +0100

    Aribcam: correctly link for Windows

commit 7ead8cf09e2d78d4592dcc4070e6b8d69af8112c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 28 15:34:13 2014 +0100

    android_window: fix subtitle clear area too big
    
    This led to a memory corruption.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit db98be9a2520b2ce178f67370a13490fc3e17966
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 28 16:52:00 2014 +0100

    Win32: file description shouldn't have the version number
    
    Close #12856

commit 511877e26bdb8b161308888c43a0ca80484c40ed
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 28 13:36:39 2014 +0100

    contrib: add mpg123

commit 553e1f391a8002cbf8e1a6e26455ec8bd710b028
Author: Lochlin Duperron <lochlinduperron@gmail.com>
Date:   Tue Nov 11 07:46:26 2014 +0000

    Adds batch convert support to the VLC GUI.
    
    This commit modifies the convert wizard to accept multiple files from the file dialog box
    
    The GUI should operate the same when a single file is selected (providing
    an option of where and what to name the file), but when multiple files are
    selected the files are placed into the same folder with the same name and a
    new extention (there is an option to append -converted if you are converting
    to the same extention).
    There are some tooltips to explain this operation.
    
    Most of the changes are pretty straight-forward, converting QStrings to
    QStringLists and passing the full list of MRLs around. The playlist already
    supports the batch processing in a pretty straightforward way, so there's no
    issues there.
    
    StandardPanel.cpp was modified to create a temp QStringList for passing to the
    streamingDialog, as it now takes the full list of input files rather than just
    one
    
    Convert.cpp/hpp modified to take the QStringList and to behave (semi)-intelligently when reciving multiple files,
    Open.cpp modified to pass the MRLs rather than MRL[0]
    and the Dialogs_provider.cpp/hpp to pass the MRLs along, pretty much.
    
    It also clears the playlist when recieving a list and starts the playlist from the beginning when it's added all the files to be converted.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit af187120302f81f3993d5234e860457318b8d68c
Author: Martell Malone <martellmalone@gmail.com>
Date:   Tue Nov 25 11:24:09 2014 +0000

    Win32: fix some time includes
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 58b2cc3f168d8e8693cb21314a517c04aebd7de3
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Nov 27 06:30:38 2014 +0000

    kva: set visible region correctly
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2897e2b49b8f0fd46acd3a5b1c99485891300ccd
Author: Antti Ajanki <antti.ajanki@iki.fi>
Date:   Thu Nov 27 18:37:43 2014 +0000

    hds: free mutexes and cond variables on all streams
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>

commit f1403d277547f10ba2d14d3bcbf86251c6c5f759
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Nov 27 23:27:44 2014 +0100

    contrib: correctly copy mac os aliases in package creation (close #12875)

commit 90c479c2e4c9f6d59db2230dfca67f7278e24b1b
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Nov 27 12:34:33 2014 +0100

    Qt: Avoid focus stealing of the tooltip on Win32
    
    Close #12060
    Ref #12084

commit bc270b0d593aeeb095560e15b6c65e84e5061104
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Nov 26 23:01:26 2014 -0500

    contrib: flac: bump to 1.3.1
    
    CVE-2014-8962
    CVE-2014-9028

commit e1f4cd2d466cafeab328465064b6d1146df23812
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 26 13:57:36 2014 +0100

    libmp4: Use a portable format specified for uintmax_t

commit 133a89b5bc024d1986babef61021ad788994a2b1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 26 17:41:50 2014 +0100

    mft: Use the proper windows version define

commit bca2a9e84a2f5032f43e4f1e364f26a40b481906
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Tue Nov 25 18:11:47 2014 +0100

    Qt: do not use uninitialized value

commit 53316b8c9f72de7788a4de7e08602b46ec7f17b7
Author: Martell Malone <martellmalone@gmail.com>
Date:   Tue Nov 25 17:13:11 2014 +0100

    Win32: add -lcomctl32 -luuid to Qt module

commit 98ada626762841b5976ca71166fd2b4b970f19ea
Author: Martell Malone <martellmalone@gmail.com>
Date:   Tue Nov 25 13:23:38 2014 +0000

    Qt: add QT_STATICPLUGIN define as per the qt spec
    
    The QT spec says we should use QT_STATICPLUGIN defined if building a
    static plugin.
    
    As we are using out own makefile and not a qt .pro project we have to
    define it ourselves.
    
    This is then used to decide if we should import the modules
    QWindowsIntegrationPlugin and AccessibleFactory as these are not needed
    on a shared build.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a97bb6d84046e92dd341ffbb08992c7aca2e7f2b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 25 16:17:25 2014 +0100

    android_window: prepare subtitles on vd->prepare
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 03b99beed17e940f4f70d08a21adb9cbca7eff4f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 25 16:17:24 2014 +0100

    android_window: don't clear full subtitle area
    
    Do a memset only on previous area.
    Subtitle Display is now 15% - 25% faster (depends on window resolution).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e0675b9e72f8e2592053bb5f24671eede0609737
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 25 16:17:23 2014 +0100

    android_window: improve subtitles resolution
    
    This commit scale the subtitles to the android window size.
    The vout is now fullscreen and update the display size with the value returned
    by jni_GetWindowSize.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 347926827a47131f490f3616a42a3ee8b21637c0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 25 16:17:22 2014 +0100

    android_window: set i_angle for anw too
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb1e47e8ebcd04afb57957682c963b491efd3874
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 25 16:17:21 2014 +0100

    android_window: create sub filter after sub pic alloc
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1b8c3ae1dd87e17a9e502077ab36ac26cbd4bb98
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 25 16:17:20 2014 +0100

    android_window: don't release sub_pic in vd->control
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 547fb0dfa2e76f5b9de4d0e62d56d2ae83328d59
Author: Tobias Güntner <fatbull@web.de>
Date:   Sun Nov 16 22:10:36 2014 +0100

    Fix sizeof mismatch
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c6942c437bc79022d72a6ec16f547397506e561e
Author: Tobias Güntner <fatbull@web.de>
Date:   Tue Nov 18 16:32:00 2014 +0100

    Fix typo
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff7ee990e3eac51beec12d73044e4fc23efd58b4
Author: Tobias Güntner <fatbull@web.de>
Date:   Sun Nov 16 22:24:33 2014 +0100

    Force MPEG demuxer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ea1c1c6198d1fbfa6d990ae6ac7653492fef41c6
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 25 12:54:29 2014 +0100

    contrib: flac: simplify .pc patching
    
    dependency on ogg is already specified

commit b80d2ab3bec0aa7ac847acf71be991a6b6c2254b
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Nov 24 19:21:54 2014 +0100

    Qt: cosmetics

commit 65e800488b3c875e653aafb20b769b99b0edf69b
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Nov 24 19:11:15 2014 +0100

    Qt: better wording for the resume playback code

commit 5c8d3f0602e8a0aaa64475f6bb48ff59a823aacd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 24 19:16:42 2014 +0200

    win32: remove duplicate check in vlc_cond_signal()
    
    The same test is done in the underlying vlc_cond_broadcast().

commit 3f1f34dbd7085593d56c187e915fab3161e2acbe
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Nov 24 17:32:05 2014 +0100

    Qt: add an icon in front of the resume panel

commit 0a9e3479a69f17734dfe66ee1117839d667c95d8
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Nov 24 16:25:31 2014 +0100

    Qt: hide the resume panel when the vout is released

commit 1cb34c7916d538776a0b47785bde9f863358c551
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Nov 24 16:18:08 2014 +0100

    Qt: make the resume panel timer cancellable

commit c7acc87279732139580b8f3f674babee5ef3c1c0
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Nov 24 16:07:49 2014 +0100

    Qt: hide the resume panel without affecting the vout geometry (refs #12758)
    
    One corner case still remains when leaving the fullscreen since we
    cannot resize the UI in this mode.

commit 888bc8a5c9827a34598343e0a47896e5804ef3ff
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 24 18:26:05 2014 +0200

    configure: remove freeaddrinfo test
    
    Assume that freeaddrinfo() is missing if and only if targetting OS/2.
    That is not particularly clean but <vlc_network.h> already makes that
    same assumption anyhow.

commit cf3c3b36815fd71efbc466fbb585b981077693db
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Nov 24 17:01:32 2014 +0100

    Revert "contribs: Fix ebml & openjpeg patches line endings"
    
    This reverts commit f5470b586795de7c8c75017c214c35ed74ab5717.

commit 75fe831c3acc3c1066bacf30e846bb5e438fee31
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 23 21:18:57 2014 +0100

    macosx: update metadata in info panel if metadata changes

commit 46704c11711e82e205c23be709f871be47b6096b
Author: Uwe L. Korn <uwelk@xhochy.com>
Date:   Sat Nov 22 22:01:18 2014 +0000

    taglib: Support reading AlbumArtist from ID3v2 and Ogg
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff555c6df9d74842407a6eb99f02b885648ed261
Author: Uwe L. Korn <uwelk@xhochy.com>
Date:   Sat Nov 22 22:01:17 2014 +0000

    input: Add support for AlbumArtist meta
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4716a65fc63c00a3970f65848ce3d94809d22ef0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 22 11:20:24 2014 +0200

    freeaddrinfo: rewrite as iterative

commit 3180272a56bdb3933219e1cc2c57d0285a7adbd3
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat Nov 22 18:11:51 2014 +0900

    libstream_out_standard_plugin: fix linkage on OS/2
    
    Move freeaddrinfo() to compat/.
    
    -----
      CCLD     libstream_out_standard_plugin.la
    weakld: error: Unresolved symbol (UNDEF) '_freeaddrinfo'.
    weakld: info: The symbol is referenced by:
        P:\tmp\ldconv_libstream_out_standard_plugin_48c454704dac1660d0.obj
    Ignoring unresolved externals reported from weak prelinker.
    Error! E2028: _freeaddrinfo is an undefined reference
    file P:/tmp\ldconv_libstream_out_standard_plugin_48c454704dac1660d0.obj(ldconv_libstream_out_standard_plugin_48c454704dac1660d0.obj): undefined symbol _freeaddrinfo
    -----
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit f3901fbd7ccc83b218f05ff5ff4dbc5eb6928057
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Nov 21 13:43:33 2014 -0500

    packetizer: flac: fix realloc call

commit f5470b586795de7c8c75017c214c35ed74ab5717
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 20 15:42:06 2014 +0100

    contribs: Fix ebml & openjpeg patches line endings

commit bdddf20856824fa1938c45e23cb641899795111b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 14:10:30 2014 +0200

    configure.ac: Fix poll() presence check
    
    poll isn't defined before vista, and we're building for windows XP

commit a41e3d70a005ad48eb62cf611623f238e1632a9b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 18:36:31 2014 +0100

    Lua: fix build

commit 7054ccad1cf1d9fbf4c14c3f5ba55749f4d30a22
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 21 18:08:46 2014 +0100

    flac: Force static linking

commit 90ff4acd64b0053767ce0df9fdfa3f81c1ece79f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 09:55:06 2014 +0200

    lua: Fix forward declarations

commit 790f9efd3b2d18d1a38b7131891150d8fc5b91fa
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Oct 10 07:20:42 2014 -0700

    contrib: freetype2: Disable bzip2

commit 8a11a8605d8878e53f614fb84c9744a0e57ef06f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 21 14:24:31 2014 +0100

    mft: Link to mfplat when building with msvc

commit d58ed01e08402a771862137ba105aebd3077ff36
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Oct 21 16:25:18 2014 +0200

    modules: Don't use gcc specific binary constant prefix

commit fd1f428e62dabe1083d6427c59d8af091128214b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 17:47:23 2014 +0100

    SVCDSub: do not reinvent msg_Dbg

commit deda40ced7c10d86bce2d4bd909fefbd57be964d
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Nov 21 11:39:31 2014 -0500

    packetizer: flac: reduce memory allocations

commit a32f9e2d8737dcd93ea33a2f3b1fc420f8e1506b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 15:31:30 2014 +0200

    winvlc: Replace STDIN_FILENO by the equivalent _fileno call
    
    STDIN_FILENO isn't defined by MSVC

commit d04d1ee345d30f665fc9c9f155b8a1d984ba2a5b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 21 13:13:08 2014 +0100

    mft: Do not use LoadLibrary when building for Vista and later

commit 7b11525daddacd6a62532f0dcc4eaf132f7bc395
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 21 13:11:16 2014 +0100

    mft: Rename function pointer.
    
    They collide with the actual functions

commit f4bf662c541492e8c329d389c4b37fd2503149d7
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Nov 10 14:43:15 2014 +0100

    dmo: Be unicode agnostic

commit 31d8cc64764ca55122a91a57e35351161051e8b6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 15:19:50 2014 +0100

    Win32: don't build WM_* based plugins under WinRT

commit 9d6f9535997ac7f76d9db0198345acf260469e4e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 15:06:02 2014 +0100

    Win32: regroup gcc-mingw options together

commit 0fcdea207cf8923af645ae60c6f1f406bcc28e9c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 14:28:39 2014 +0100

    Don't build winGDI on WinRT

commit 3e74244969b8d0a1fafb504c50ee334fcc38660b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 14:23:20 2014 +0100

    Win32: do not build GDI for text_renderers in WinRT

commit e3fab4b9caf14c901d3116254c9b37d55450db7b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 14:17:08 2014 +0100

    Win32: fix previous build commit

commit 1b4b6c0cd28335613d3f59210eaf5748eeff3aa6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 21 13:10:11 2014 +0100

    Win32: use winmm only on Win32-desktop

commit 63db443224b1874768fbeb34ec04f49fb87597f1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:54 2014 +0100

    android_window: don't add min_undequeued in the pool size
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a522648db22d9720d3fe8cec31925982d24bc7e8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:53 2014 +0100

    android_window: render picture on Display, and not via pool.pic_unlock
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 00c28704d4179742604f1dd31f970fe823d47820
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:52 2014 +0100

    nativewindowpriv: GRALLOC_USAGE_EXTERNAL_DISP only for hw
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8ce86469dd7c8516918613c46537f944f48d7fc4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:51 2014 +0100

    nativewindowpriv: remove deprecated calls
    
    After jbmr2, dequeueBuffer return a fence_fd, that is signaled when buffer is
    ready.
    For now, dequeue is still synchronous since it wait on fence_fd.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1779b7fe569d441ed7c47e3065f8d97f57e232a1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:50 2014 +0100

    nativewindowpriv: use only one call to lock/unlock sw buffers
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5a5ce58af89356b7615a302ce2f14ce6a8e484d8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:49 2014 +0100

    nativewindowpriv: lockBuffer not needed after jbmr2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5172eb8d6c42236c57341d47787d2fc866baead6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:48 2014 +0100

    nativewindowpriv: cosmetics
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f04fe95fd1c6634f54028d1b93c402204502a8ff
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:47 2014 +0100

    nativewindowpriv: use set_buffers_user_dimensions after jbmr2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81179615b9e9da550de7b00d3e079f099d73c9aa
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:46 2014 +0100

    nativewindowpriv: fix call order
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b4ceb7f3aebc71f7985b32c9bd4cd20ae1bcd9dd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 21 10:48:45 2014 +0100

    Revert "nativewindowpriv: use fence_fd"
    
    fence_fd should stay in nativewindowpriv.c, no need to export it. It's not
    needed by hw buffers (iomx-dr), and it's not used by gralloc until Android 5.0.
    
    This reverts commit 06cb362f3aaa45f53de3f6a755961bc7dded5495.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 826a226ff2a5145bc61fcd51bf06bb97d779239d
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sun Nov 9 04:39:35 2014 +0000

    configure: remove O4 compiler optimization level test
    
    It is not a documented optimization level for gcc or clang.
    This makes building with clang significantly less spammy.
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>

commit 01eb577330f7903840958151fdbef1186659db41
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 20 15:25:06 2014 +0100

    WinRT: don't compile DShow, Screen, BDA
    
    They depend on GDI or DShow

commit 06cb362f3aaa45f53de3f6a755961bc7dded5495
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 19 16:02:35 2014 +0100

    nativewindowpriv: use fence_fd
    
    And don't call deprecated functions after android 4.3.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6db8aefc4e1c8fd8397e76c4b222aec63ee15ba2
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Wed Nov 19 18:55:21 2014 +0100

    wasapi: fix memory leak
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8cbac79a706f013a1fb1f4d745d310d9197d173a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 19 17:16:05 2014 +0200

    format: integer overflow

commit c1522ae56c7779126779dc34c0672898a6144421
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 19 14:08:29 2014 +0100

    Contribs: use videolan servers for schroedinger

commit b2cdcba9bfd832760679b12960ea11bfeaf84256
Author: Paweł Stankowski <aambitny@gmail.com>
Date:   Wed Nov 19 02:03:08 2014 +0100

    Support for newest freerdp snapshot
    
    Support for 24bpp was removed from freerdp repository in commit
    02c1bf14ce1f3ad2199a349066548977916d9c06.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c4b27e2802b5aabbbb723939a119703f42f52978
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 19 12:10:37 2014 +0100

    nativewindowpriv: better use of defines (cosmetics)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b2bf1acb74d4e11123f4b39eec24c31317ca01d4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 19 12:04:15 2014 +0100

    android_window: use anwp.getMaxBufferCount
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7423c2bdf72696a4fe859852c19cbc432627c1ca
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 19 12:04:14 2014 +0100

    android_window: add logs
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 285a0859761272036b46b6669f35fd125777ddb7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 19 12:04:13 2014 +0100

    nativewindowpriv: change default min_undequeued value
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4bb9b344edb622a6169a095af39f4c503b418f46
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 19 12:04:12 2014 +0100

    nativewindowpriv: add getMaxBufferCount
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 80bd0c5d39ba8ac1c52f747da6d2b18a4e20ff7f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 18 23:36:12 2014 +0200

    b4s: memory leak

commit 327a8846b43c7e2426efc8e9af04fc5601540812
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 18 23:27:54 2014 +0200

    audiobargraph: boundary check

commit 298edea2b51a3dc7b39ae33a3c4bbf476f4e3290
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 18 23:22:22 2014 +0200

    OpenMAX IL: do not use Bellagio software implementation
    
    This wraps libavcodec in a way that is worse that VLC, e.g. without
    hardware acceleration.

commit 0fd329fd790e1ac2f423c72e0cb280aece24af97
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 18 23:19:59 2014 +0200

    archive: memory leak

commit 99caee4225e604a46dcdd109a1613e01bd4bb7bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 18 23:19:49 2014 +0200

    archive: indent

commit 49fc0b18011e38bb1886bd15575e249ed1728977
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 18 10:16:35 2014 +0000

    mediacodec: don't try OMX.google.*
    
    OMX.google.* are software decoders, it's better to use avcodec.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 125acdef1ed11c0684ccf57110d4f8741a4e705c
Author: Santiago Gimeno <santiago.gimeno@gmail.com>
Date:   Mon Nov 17 13:16:50 2014 +0100

    sap: fix implicit timeout calculation
    
    - RFC2974 states in Section 4:
          "If a session announcement message has not been received for ten times the
           announcement period, or one hour, whichever is the greater, then the
           session is deleted from the receiver's session cache."
      But the session was being deleted after three times the announcement period.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7529f9c0c3d4418a1bc0af2640ce24c450f0e9b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 18 13:43:56 2014 +0100

    Youtube: fix playback of recent pages

commit 854254cea9da55afba25183bd10b9d97b0ac6bd5
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 18 11:51:33 2014 +0100

    update: fix invalid parsing

commit b48ee570b0e060d64dec95d460ca919d60d06138
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 14 11:51:16 2014 +0100

    HLS: Do not assume Content-Length is set
    
    Fixes #8078

commit 701fc0c191195f31306699786285ec90983df608
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 17 14:53:09 2014 +0100

    playlist: don't abort if "media-library" is not specified
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bbc227485c47cc5eccdc6df9fcaf400b3493a98d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 17 18:58:51 2014 +0100

    DASH: fix Win32 compilation

commit 7219b03713f1e13d157a867755c54f63f0b09cbd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 17 18:08:56 2014 +0100

    stream_filter: dash: deduplicate parser code

commit 84bff07dc271063127872a3225510cfe3fd7e34b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 17 15:13:24 2014 +0100

    stream_filter: dash: deduplicate code

commit 3a87d56e3c1e37c0b8615f1c3eb6ab24990d5fd8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 16 20:37:09 2014 +0100

    stream_filter: dash: fix and enable mpd debug print

commit d316ab1a5d8e2faa9d4bfd1af1e17b812251d18f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 16 16:28:04 2014 +0100

    stream_filter: dash: fix out of bounds exception

commit 8b9442ac07d87604e4643a98131efdaeca8f58bc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 16 16:04:51 2014 +0100

    stream_filter: dash: set CAN_CONTROL_PACE

commit 3d9656b6cf4c629c8031125f869ce3b5a1f48e2d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 19:08:10 2014 +0200

    update: use U32_AT

commit 69d88103742805089135f37bdc6522e238fb1053
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 19:03:20 2014 +0200

    vlm: memory leak

commit 78fa4a939673d424fe574e5927c21e847b483cf7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:52:10 2014 +0200

    rotate: avoid sign extension

commit b306cb2d3056b0240f6597dda4d19c6febde3f93
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:45:52 2014 +0200

    cdda: memory leak due to STANDARD_BLOCK_ACCESS_INIT

commit cd8e3a2be041f06f93e17bb6af76d6ed2c743a7d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:37:15 2014 +0200

    WPL: fix leak and NULL dereference

commit dee1ccf02c28d4fa02f8b813b37cc0462d57d95d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:33:02 2014 +0200

    gvp: fix leaks and integer overflow on multi-lines

commit f133cc098882418c261079e5600a3db994d509fc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:16:15 2014 +0200

    gvp: remove unused p_sys

commit 81bfc63e9963d49943dc24f3d1118fde482016f5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:16:00 2014 +0200

    gvp: remove write-only variable

commit 2a342fdec7358187c1c0ba002c033681d5234255
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:15:32 2014 +0200

    gvp: fix memory leak (p_sys allocated twice)

commit 6412357f64c2cd622cd62f95debc6765ae1f3076
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 18:03:32 2014 +0200

    pls: remove write-only value

commit 60af6f144aa73c05b75acce1299b4be9ca5dfad4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 17:56:16 2014 +0200

    araw: add assertion

commit 090a04a3e80a9bf0a7cda391c869e223f170e4da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 17:51:08 2014 +0200

    str_format_meta: NULL dereference

commit 5660fdbbc78f36c648e65ed17c839d202a49048b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 17 17:46:09 2014 +0200

    opengl: chroma description cannot be NULL, assert it

commit d7073d735cde6082ef1fac6a9c174601522235e6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 17 14:43:28 2014 +0100

    android_window: fix honeycomb
    
    jni_ConfigureSurface need also to be called width HC using ANW, ANWP or opaque.
    
    (There was no ANWP or opaque in gingerbread)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c18f7dd3c377d292aa03ad9ae38249bcf3e4d36c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 17 14:43:27 2014 +0100

    android_window: refactoring
    
    Opaque specific code is now inside AndroidWindow Setup / SetSurface.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46b36fbafbf9cf67b29ec8efca26bd4a408aa7e0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 17 14:43:26 2014 +0100

    nativewindowpriv: don't connect before ics
    
    This broke direct rendering on honeycomb.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c094e92c2cbd8292fe3d50f76aa3c28ad1caacab
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 17 10:45:28 2014 +0100

    android/surface: drop YV12 support
    
    YV12 not implemented before gingerbread.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a3456b283be71bdc455d1cb9fe9e7135bc6d61c8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 16 13:08:43 2014 +0100

    demux: mp4: handle QCELP stsd v0 spec violation for (fix #12720)

commit 901cfac0e6b756cc5b0f93bf49e45666dd65d7a7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 16 13:03:01 2014 +0100

    demux: mp4: compute new pos for audio if blockalign is missing
    
    Prevented playback of blockalign less audio samples

commit d54bd1fc39a4720d7e0d955fd34214cf01d938bf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 15 18:26:44 2014 +0100

    demux: mp4: handle Qt v1 redefined samples tables (fix #12773)

commit ab1213b23b5170c6cd39110cc843c997d046e086
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 15 16:24:42 2014 +0100

    demux: mp4: add some more stsd debug info

commit c470b251398bc9aefa395865caf3c4c5caacf34a
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Nov 15 23:46:51 2014 -0500

    packetizer: flac: recover from bad CRC (fixes #12714)

commit eb588176daa8160191c9ba0a1cf2d80c2beb4f54
Author: Tobias Güntner <fatbull@web.de>
Date:   Sat Nov 15 21:39:47 2014 +0100

    Implement ACCESS_GET_SIZE
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit cd84eec0f5d64bc4ea6289029cc737e0f8358296
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 22:59:02 2014 +0200

    hls: fix strtoull() error handling

commit c60b5edf05f5487379128d35aca8dafee64a97fd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 19:37:03 2014 +0100

    MP4: fix compilation in ULTRA_VERBOSE mode

commit 5676fd5bf296cd8c1e4de9029ad8c033062b5faf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 15 14:16:33 2014 +0100

    demux: mp4: fix reading max samples (fix #12764)
    
    p_chunk->i_sample is next sample, not current

commit 5f23d55626465d3c774ce0fbadf9bc74d5fe4121
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 15 14:15:22 2014 +0100

    access: archive: fix write to const

commit 193b7447cad5439171e6fc7916c133f12048bc61
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 12:50:20 2014 +0100

    Fix compilation when --disable-sout

commit 8cce23abbf62cad06726d0c58b55d3aa338cbd04
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 12:37:33 2014 +0100

    Update POTFILES.in

commit d3e964e8e76ea8d58967b8eb20fe48e30ca0c7ef
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 15 12:34:48 2014 +0100

    contrib: harfbuzz: revert version to 0.9.17
    
    Starting with harfbuzz 0.9.18 there is a known crash.
    Stay with 0.9.17 until this is fixed upstream.
    
    refs #12425

commit f5c8f5da0d1b59be50948de86524d38094d2c8de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 12:32:20 2014 +0100

    Archive: fix typo

commit 75b2a6d7e048d284cec1c234924862f10dd6a401
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Tue Nov 11 16:51:06 2014 +0000

    tools: remove protoc pkgconfig files
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a34f2273a1a10b05128a758a7771efe82682df74
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:10 2014 +0100

    mediacodec: fix width/height in case crop is invalid
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e645e0ecd44770cccc4324f6323f4525e2494ba4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:09 2014 +0100

    mediacodec: remove jni_SetAndroidSurfaceSizeEnv call
    
    It's now handled in android_window
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2d26ce0b19f4ab9d62b65a80d72fe93feadd3fc6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:08 2014 +0100

    mediacodec: remove unused code/variables
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 706e6bd26ffcb9b577a630a5ba8874b9babea5f6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:07 2014 +0100

    omx-dr: remove jni_SetAndroidSurfaceSize call
    
    It's now handled in android_window
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9fefcd39d00970b61eea4e7d5354a1387931a052
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:06 2014 +0100

    android/surface: configure surface synchronously
    
    Set surface color and size synchronously using jni calls.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1860bcd17b04b6939f9990de04cc671e7fc3f5a5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:04 2014 +0100

    android/surface: use native_surface from jni
    
    (see android commit "jni: add jni_AndroidJavaSurfaceToNativeSurface")
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 513a3073701e248a924479e89eac417d5aa84293
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:03 2014 +0100

    android/surface: don't use native_window
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 56e5dae736f4d6be3c56363efb1d4a0e36c6aa8e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:02 2014 +0100

    android/surface: use calloc
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd3ed40343c62202f34d0fab7925597b45e641df
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:01 2014 +0100

    android/surface: fix leaks if Open fails
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 07063204a4050db98931e7caf7c30cc949e4fd77
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:10:00 2014 +0100

    android/surface: remove single_instance
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8a709642c0cbbbaa47506970d7b6a97337413128
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:59 2014 +0100

    modules: add android_window vout
    
     - used for direct and non direct rendering (replace opaque.c)
    
     - use nativewindowpriv: more control than the public api, since you can set
       orientation, crop, cancel a buffer without displaying it and allocate more
       than one buffers.
    
     - fallback to nativewindow if nativewindowpriv fails (with only one buffer in
       the pool then).
    
     - Only one way to display subtitles: use a seperate android surface.
    
     - Fix subtiles display in case or source aspect != 1.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 646639aa2a0decfc4cd455a42a55ef0cf6a06ea8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:58 2014 +0100

    android/utils: add ChromaToAndroidHal
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 327323e25df85be5255a701153eafa88d831c6ca
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:57 2014 +0100

    android: rename jni_SetAndroidSurfaceSize
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c9640234ce3d46a5a7e3e735c98d83bbb62ba426
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:56 2014 +0100

    nativewindowpriv: fix connect before ics
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 65c6b73a206ff27d8dbd812188a06021f17ba352
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:55 2014 +0100

    nativewindowpriv: add lock/unlock Data
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46814a092d56e9675ad5096c437bad3ecf965633
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:54 2014 +0100

    nativewindowpriv: add is_hw arg in setup
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4c32c10f0c85a757bf9bb6d866cb432d0271a4f2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:53 2014 +0100

    nativewindowpriv: use native_window_priv as a handle
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 749c8a916015a14dcb24291223c4bafdb6bf51dd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 14 17:09:52 2014 +0100

    native_window: add setBuffersGeometry
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ecae18a3d2e364d077df60f9956ad458895d374c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 13:00:43 2014 +0200

    archive: avoid duplicate strchr() call

commit 22e8f158aa210577ba3cef58c8bb7d3c8855c1cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:54:21 2014 +0200

    sout_MuxGetStream: fix prototype, sign warning

commit 50428add90c1ae5198b811feb7e26670d5b5709b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:52:43 2014 +0200

    sout: remove impossible NULL check followed by reverse NULL

commit e76f990e0ba00a9f573c23627ecd66cb9ae9bdd5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:49:22 2014 +0200

    SRTP: integer overflow

commit ab9f28ff688eae845bc2deb62bf50072d4a4690b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:47:29 2014 +0200

    SRTP: integer overflow

commit e0fe251e38228195fe83c84b4eed675295d1862b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:42:55 2014 +0200

    fourcc: mark vlc_fourcc_GetChromaDescription with VLC_USED

commit 267d8be5f35b8a33bf5e634ff5087a8ab9788019
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:42:44 2014 +0200

    OpenGL: remove potential NULL dereference

commit 22d444c316fd31687463009c8fb5381ae993beb7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:42:15 2014 +0200

    OpenGL: remove no-op
    
    vlc_fourcc_GetChromaDescription() has no side effects.

commit f39ed931e0ea7b3a275fe69e2336eb597c9a1d14
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:33:33 2014 +0200

    Qt4: fix racy access to configuration

commit 84ec01684530f5bb7a8cb2bc86c8da4dd6c94341
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:28:40 2014 +0200

    playlist: reduce lock contention and do not pretend to handle error

commit 77fbb447118ea09d52a4cad999e05052d19d316d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:20:38 2014 +0200

    playlist: remove unsynchronized b_doing_ml
    
    This could loose events and was theoretically undefined.

commit 0cf5d09ce8faac657c1e8d5d83ecf3cb239130d3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 15 12:13:22 2014 +0200

    unzip: pass seek error to caller

commit 524de4bb441b7f1b1c290431e9d892243cac181d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 00:54:06 2014 +0100

    Qt: initialize member pointers in SPrefs constructor

commit b2682aff9c3e85e53e887051833e19b5b0e781a2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 00:49:41 2014 +0100

    ZPL: avoid NULL dereference

commit a1f67e3a279492f1790aa8543a2988e322a486be
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 00:40:33 2014 +0100

    MP4: missing break in switch

commit 234d20686d2fe81ff2f631b60b5457e507e583b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 00:37:17 2014 +0100

    VC1: use memmove instead of memcpy on overlapping memory

commit a7984f0a1cd295f4b80a2003a30dda5ab3b315b0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 00:35:06 2014 +0100

    HLS: check strtoull parsing
    
    Else the if(end) were meaningless

commit 2c940ab8b69bf14788d6c48d6fcff4016488d0a0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 15 00:15:13 2014 +0100

    Skins2: avoid integer overflow

commit 3de20de7a6b7b752930944c9a0c84640315b52bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 14 23:58:37 2014 +0100

    Spatializer: init pointer member in constructor

commit 78a167717a2a2a2e8230c33fe0224d6a746bf426
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 14 23:56:17 2014 +0100

    Spatializer: init pointer member in constructor

commit e91ea1f9c3f5575c65003818b6b0c2948435c2b8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 14 23:50:52 2014 +0100

    libass: avoid negative index in array

commit a0ff500b7446f1af4001f07d9466180698efdd5c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 14 23:35:42 2014 +0100

    XSPF: fix potential memleak

commit 6b099317bf65ca10fbbe7e1c68feb07b1af3212d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 14 23:31:17 2014 +0100

    BD: fix memleak on error path

commit 2f1737e730e6e8844a93a32b236e36b16eb9bf33
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:39:19 2014 +0200

    interlacing: fix overlapping memory copy

commit aa9f445315abb143262567ea738ec32bae6d34a8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:37:17 2014 +0200

    input: remove antilogies

commit e312e2103b13da5180ba038109912302b837e27a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:33:24 2014 +0200

    http_auth: remove useless predicate
    
    Ternary: a ? b : b

commit 2e8ae8bc6e65da672e544c69199f6f738cafcba3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:31:02 2014 +0200

    style: copy-paste error

commit f1c04981d9c01d679954b1a33ea3ea124b78a345
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:26:32 2014 +0200

    epg: memory leak

commit 00b9dd8cbcd4ccd466a28d4f3fa2b7b605ca6276
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:24:05 2014 +0200

    udp: memory leak

commit f03324bb7ef555420b6b106a40ca833777072b26
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:20:53 2014 +0200

    ftp: fix leak

commit 1d410d6d4cb3de58125cbb5db431d6ad9381b0e0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 19:14:24 2014 +0200

    str_format_meta: rewrite and fix leaks due to expansion-unsafe macros

commit 8a3c4f91d82dd4025a2e80717cc6d18a305f0617
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 17:31:55 2014 +0200

    chromecast: descriptor leak

commit 1e29fbdd866a6af3a66fc399d47b7933335190b0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 14 17:29:14 2014 +0200

    PulseAudio: clean volume conversion boundaries a bit

commit 26921e30713d8bfad8c660aee6db1792a4b9e660
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 14 15:57:14 2014 +0100

    stream_filter: dash: don't use global ref to log through libvlc
    
    This reverts commit d073d3be2a8742ae2e7069a10d48ae28fd2e043e.

commit 4bcf8bd7ae0e00e9e1a55fce2e559a5dc465a29f
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Nov 13 17:07:00 2014 +0900

    dvdnav: fix compilation on OS/2
    
    -----
    access/dvdnav.c: In function 'ProbeDVD':
    access/dvdnav.c:1469:6: error: implicit declaration of function 'read' [-Werror=implicit-function-declaration]
          || read( fd, iso_dsc, sizeof (iso_dsc) ) < (int)sizeof (iso_dsc)
          ^
    access/dvdnav.c:1481:5: error: implicit declaration of function 'close' [-Werror=implicit-function-declaration]
         close( fd );
         ^
    -----
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 300f4711c2989b67253f79b535053e8dc223a05d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 13 12:52:29 2014 +0100

    Dash: Fix win32 compilation

commit d073d3be2a8742ae2e7069a10d48ae28fd2e043e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 13 00:31:26 2014 +0100

    stream_filter: dash: log through libvlc

commit 5d7dc0832f7b30e5d2958cd50750aa0b2a85d58d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 13 10:07:50 2014 +0100

    stream_filter: dash: fix null dereference on empty segments list

commit 37540a611125c18d92e711bbbdc12416e08e2b5a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 12 23:19:19 2014 +0100

    stream_filter: dash: fix and add missing profiles

commit 3da7f14ed4ab271084d98e5f1f397029c283ec72
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 12 19:55:07 2014 +0100

    stream_filter: dash: match case insensitively namespaces
    
    and add a missing one

commit fcef78e37a5bffd23693e898ab5ff41a0d8a6d51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 13 12:15:05 2014 +0100

    Lua: support HTTPS and live for Dailymotion
    
    Close #12753
    
    Thanks to Ruito

commit 5e98fc504ac9c0569ea4d0e00608db7b8088b2dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 12 21:03:13 2014 +0200

    mmdevice: use craptastic software gain
    
    The same caveats apply as for Windows legacy (and ALSA) outputs:
    - Change latency is high and noticeable.
    - Change between less than 100% and more than 100% occurs in two steps.
    - Non-linear formats are not supported at all.
    - Integer formats are prone to clipping/saturation.
    - Floating formats may hit Windows peak protection, sounding awful.
    In other words, it does not work properly and it never will. This will
    be removed once minimum and maximum volumes are exposed properly.
    
    As meager consolation, there are two advantages over endpoint volume:
    - The code is much simpler.
    - Other audio sessions are not affected.

commit 1433d065983c188499e7357f0bcc624a19db5be1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 12 20:00:59 2014 +0200

    Revert "mmdevice: override endpoint volume to allow amplification"
    
    This reverts commit c4d74ccfbb496eabf384d99272513664be924601.
    This caused interferences with other audio sessions and violated the
    audio volume guidelines from Microsoft.
    
    Conflicts:
            modules/audio_output/mmdevice.c

commit 491578ce67ecc542c90bf3940fbdb3f90a2b5058
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 12 21:25:35 2014 +0200

    mmdevice: allow selecting stream back-end

commit 2d3723d149044db9dff5b05035c7efce5e5200f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 12 22:10:36 2014 +0200

    directsound: fix uninitialized mutex and condition variable
    
    Regression from 3044105e9d4664609a7d749469fe0fd6d85e90ff.

commit 36802a2c9a128deb011bfe57f359a3cd7ebfe279
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 12 21:00:06 2014 +0200

    mmdevice: cosmetic

commit 0dc09ccb7b7d6bf9dff26e4394c9bc9b604672c5
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 11 13:14:18 2014 +0100

    macosx: playlist: remove unused _other outlets

commit 5e59835da156589b4cff22794976fb4094ee2dba
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 12 10:43:28 2014 +0100

    Update NEWS with 2.2 branch

commit 394c36356e1c59df350ccf287265e3eed4eaf07c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 11 18:50:49 2014 +0100

    demux: ogg: handle Flac in Ogg frame/packet pairing violation (fix #12706)

commit 94bb3d34edf6b8d5c1163a35fe9517f799824eae
Author: Brion Vibber <brion@pobox.com>
Date:   Mon Nov 10 20:13:48 2014 -0800

    Fix quoting on iOS VPX_LDFLAGS for latest changes
    
    This gets quoted later, so don't quote it first.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 4b07f72828f93289b70365dfa9d729f4d4a2dff2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 11 16:27:17 2014 +0100

    lua: Update VLSub to 0.9.13

commit bc161d90515159ed23abf863f297984f86177120
Author: Tristan Matthews <le.businessman@gmail.com>
Date:   Mon Nov 10 20:00:26 2014 +0000

    extras/tools: list packages that will be built
    
    This makes it a little more obvious, instead of just saying that tools
    are missing or too old.

commit 46aa9db68489337e05019d5ac3388b55e45bbe6f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 11 16:11:00 2014 +0100

    Contribs: update PNG to 1.6.14

commit b63dc639c0e566cfe3b5b941601e060c6d24f501
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 11 16:09:00 2014 +0100

    Contribs: update GnuTLS to 3.2.18

commit 665d9c7dc8525c07b214627a5c14dacc7ca3a42e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 11 16:02:30 2014 +0100

    Contribs: update gpg-error to 1.17

commit 5e9a545dd63816b3fa8d45665288b8fb82d68e75
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 11 15:57:04 2014 +0100

    Contribs: update libass to 0.12.0

commit 6badf29945bd34120dc54461a9d4b96510c4e7c8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 11 12:47:00 2014 +0100

    Koreus: remove tabs

commit aacca35310f0395b6715d282548ff8221beee836
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 11 12:45:52 2014 +0100

    Koreus: improve parsing and improve HTTPS
    
    Close #12744
    
    Thanks to Ruito

commit 272b0ffa072918603894ecbb22e037824f1dbcfa
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 11 12:11:02 2014 +0100

    macosx: robustify media key trap handling
    
    Only start and stop media key support when needed (ressource-intensive).

commit 6e24206e034f6bafc3a8d552b5f281a3512100eb
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 11 11:56:43 2014 +0100

    macosx: simplify playlist duration calculation

commit 028d21434fc906d94caa4a2b3eb0e1a4a40cdabc
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 11 11:24:45 2014 +0100

    macosx: do not allow playlist item deletion for sd modules
    
    close #12423

commit 3788f1cb25bea9f38d19a22e496474bfdd5a6ef1
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 11 10:51:51 2014 +0100

    macosx: fix memleaks in podcast handling, remove unnecessary module restart

commit 5657ce1d1475ecfdfcac6063efb5d94eac695b2f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 10 22:05:20 2014 +0100

    demux: asf: remove dead code (cid #1251046)

commit f9cd83cda1a629ef78608b196cb917ef4320a1d6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 10 22:03:36 2014 +0100

    demux: mp4: check GetPTSDelta result (cid #1251043)

commit 5763e86db84500bbc7cadc2d8a6140565ded62f0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 10 22:01:22 2014 +0100

    mux: mp4: fix flags variable size (cid #1251045)

commit 61ed600c10c3521aa92054da6c19bc8d80bbf245
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 10 23:00:38 2014 +0200

    psychedelic: fix scaling crash due to invalid video format

commit 583dbc92c7caef8fd42f012f83ef65189077b991
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 10 22:55:21 2014 +0200

    ASCII Art: fix invalid video format, crash in scaling

commit 600d5e3974ef4ee7242dbc3411dd0dfe59f029c1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 10 21:39:39 2014 +0100

    demux: avi: fix non fixed sample size ADTS/AAC (fix #12727)

commit 67d3368b4b7bf023128ee6d0bb4f09a2e762d337
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 10 16:05:46 2014 +0100

    demux: avi: remove double chunk lookup

commit 2606a4daf9bd926176cbd83ab51537d322aca45d
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Nov 10 14:45:23 2014 -0500

    stream_filter: smooth: fix leaks (cid #1251056)

commit ab08d7de2e8e54a714d5471032475add02c28dc4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 10 21:27:49 2014 +0200

    smooth: missing -lm

commit a6fc249e3f00968dd81b7e50acf32a8dca924c0d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 10 19:52:53 2014 +0100

    Add math for smooth

commit b149f63b2353e19570bac9481ac80fb63f62012b
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Wed Nov 5 12:33:22 2014 +0900

    os2: enable gnutls
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e82ed2cb4527eefb045f3196cce006e26d3967be
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Mon Nov 10 16:55:50 2014 +0000

    cddb: fix spelling errors in header guards
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>

commit 5107980ba879299a5490c640b0c7f90b38f0d506
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 10 12:02:14 2014 +0100

    stream_filter: smooth: fix endianness creating smoo box

commit 0c9f38b8adaefc0d992c085125ce59f4a0b8ec1e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 9 16:51:16 2014 +0100

    stream_filter: smooth: merge trackid fix with chunk read
    
    And drop all unused and useless code

commit 0d862d0b1c84ad6800636b57792339bad4a9e587
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 9 19:51:08 2014 +0100

    stream_filter: smooth: parse chunks using libmp4.h
    
    Gets rid of the checkless and expecting in-order data
    read functions.

commit f88ab15dd2667a820833eef7586f79d80325a8d5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 9 19:32:16 2014 +0100

    stream_filter: smooth: get rid of es->index->es

commit e1bedc114606456826ccbb9e3a7349896ac360e6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 9 19:27:07 2014 +0100

    stream_filter: smooth: dynamically create smoo box

commit 5b1a8b91e749982e525405397f7a05eccca0e441
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 9 19:10:16 2014 +0100

    stream_filter: smooth: pass stream reference when adding new chunks

commit 50fc01a7bb58585dc1b0abd80d3bf3b19068e00e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 8 19:12:17 2014 +0100

    stream_filter: smooth: rewrite bw adaptation algorithm
    
    BW measurement must be per stream as receive window/transfert
    rate will differ relatively to chunk size. There's no real
    way to get an accurate Max BW with such small files, but it
    is still accurate to predict the BW for a download of same
    size.
    
    A validation cursor is introduced to qualify bitrates.
    Cursor evolves within a window of summed download times.
    Adds duration to window if > bitrate, and opposite.
      -PROBE_TIME << cursor << PROBE_TIME
    Negative values makes harder to select previously unqualified
    bitrates.
    Stream quality will rank up quality only if next candidate has
    filled its own window.
    Stream reselection only occurs when cursor <= 0.
    In that way, we can tolerate temporary bitrate lowering or increase
    and avoid the hiccup reselection problems we had until now.

commit 3843d77dcec6f64cd82ce8256f1b2052745756a7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 2 14:13:09 2014 +0100

    stream_filter: smooth: rewrite buffering
    
    Gets rid of useless indirect access to chunks.
    Uses time as chunk based instead of indexes.
    Does not keep chunks on live stream.

commit 31dab577fa011bb0d61a6c41fb3c9a649c247dec
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 8 18:31:32 2014 +0100

    stream_filter: smooth: handle "start_time" and "start time" patterns

commit 04b5c18015781108cd39d5617751afce5e5dcfdf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 9 19:59:05 2014 +0100

    stream_filter: smooth: fix write overflow

commit 93126b672e3abff913e9a72bf5077098ac87f580
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 9 20:09:07 2014 +0200

    xmlent: test case for previous commit

commit 3eee999c45a150aede6233e7bbd7064949c84012
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 9 20:08:35 2014 +0200

    strings: add missing support for hexadecimal XML chracter encoding

commit 72b03859fd8b715d9baeb5b378170d81517b01e8
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Nov 8 13:04:10 2014 -0500

    codec: mpeg_audio: fix pts update
    
    Fixes #12722

commit 7a291b65d38daccdbabe55c3d3dcb1b3c2375222
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Nov 6 22:31:09 2014 -0500

    vpx: properly quote VPX_LDFLAGS
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4059c0e628b623ff0277460dd4b67ff77bac41bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 7 12:57:07 2014 +0100

    Chromecast: fix connection on Windows
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 29a4015294b64c2439df12862a38a1c971a1ccbd
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 7 12:48:37 2014 +0100

    telx/zvbi: initialize aspect ratio

commit 3ffa0a33b0b3452f6cf629c0436e5005ee87c7fd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 7 00:20:10 2014 +0100

    caopengllayer: use visible rect instead of layer bounds to determine the current output size

commit f938a451ae4802f7cbbf32a663c0018b851f155a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 6 23:14:22 2014 +0200

    atmo: fix invalid delete

commit 3618f40881367d66fa7d961330e6fc6f1e4df683
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Nov 6 10:48:15 2014 -0500

    dca: force gnu89 C standard
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 0005a10c5245d78a091eca3dc623b9ee429290fa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 5 23:32:10 2014 +0200

    chromecast: double lock

commit d0b6ecb24e52d943bbb2f0debdc4237b4b112aee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 5 23:23:35 2014 +0200

    mosaic: use after free

commit f52e54b24015419c09db0c608caeb75232d3206a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 4 21:41:53 2014 +0100

    contrib/avcodec: pass extra CFLAGS as LDFLAGS on iOS to have the needed flags

commit a9c89123ff7576aa42bcfd5e9792479c307011a4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 4 21:41:00 2014 +0100

    extras/ios: rework LDFLAGS handling and enable vpx for the scary build flavor

commit 8546622b50a69a6693d4c77674b0730d0e16a0d2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 31 19:05:48 2014 +0100

    contrib/vpx: fix compilation for iOS

commit 0e1d397ea39d032042055d9396c14b80b0fd4bac
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Nov 5 08:27:13 2014 -0500

    hds: avoid NULL dereference and use-after-free
    
    (cid #1251048 and #1251059)

commit fa447d33bcf2a957d590d90fd362744c1b69ea7a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 5 00:12:51 2014 +0100

    contrib/sparkle: fix runtime exception on snow leopard

commit 4d6a9eaa413c73277648d4f98c5da1840f997b33
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 4 23:22:18 2014 +0200

    trivial_mixer: fix arithmetic

commit 636b6c3107f7b797cd16cf84c37d58630a2e201a
Author: Martell Malone <martellmalone@gmail.com>
Date:   Tue Nov 4 12:48:53 2014 +0000

    Fix AC_PATH_PROGS for cygwin and msys2
    
    Fixes searching for native qt5 progs on cygwin and msys2
    
    The reason for the issue is that on windows if there is a space in the path
    or if the program is prepends with .exe and we specify the search PATH
    in AC_PATH_PROGS we must enclose them in quotes or the program will not be
    found.
    
    For future reference, if anyone uses AC_PATH_PROGS please enclose defined
    search paths (if you have any) in quotes
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5e7d42f71adcbc81c539b2e511e799a59b868d84
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 4 17:15:40 2014 +0100

    Add .au extension

commit 9185ed45134284405e05083e4d5d1a0903d25b32
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 22:43:24 2014 +0200

    Revert "vout: fix picture lock/unlock with private pool"
    
    This mostly reverts commit 6a6c23bf075ba70844f8e9b51991df74952d616f.

commit 5dfce5edb5db6ad71e0fd9b797ff8205ec45c7e4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 22:39:34 2014 +0200

    vmem: unlock picture in prepare, get rid of lock/unlock

commit d7d0b381722d4f1cc45e77b35c89d3b0bcbd792e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 20:42:57 2014 +0200

    picture_pool: improve and update documentation

commit 6672975cf04c162492507a2483180eddd45534dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 19:58:51 2014 +0200

    Wayland: fix attaching and detaching protocol-side buffer objects

commit bfe3ffd17ebfbae8ce2ae27f17090517c79e7a01
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 19:55:41 2014 +0200

    picture_pool: add enumeration helper

commit 6a493b1189ee38210ce15ac25f282aad5af3810b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 3 11:22:13 2014 +0100

    picture_pool: fix double mutex_unlock if pic_lock fails
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit fef26a45cc024d433bfa9ad08c7fefbdb47b2974
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 19:13:56 2014 +0200

    opengl: remove lock/unlock callbacks
    
    They are superseded by makeCurrent() and releaseCurrent().

commit 0887539916acdb4276eed910cf88178084d9dba6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 18:10:15 2014 +0200

    vmem: unlock before display
    
    The documentation promises that the picture is unlocked before it is
    displayed, so actually do that.

commit 4e63463ac0022f7eca3c4b9decb6ad5501b7ce38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 3 17:56:50 2014 +0200

    trivial_mixer: fix upmix/downmix

commit 7c653e6ab5bcd0ca9f459c015a0c43a998d09c74
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 3 11:41:57 2014 +0100

    Win32: sign dlls and exe

commit ac7ec2d22c41ee2f614c22a818d0c658f6e1caaa
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sun Nov 2 18:08:15 2014 -0500

    access: bd: add assertion

commit ba65ae57333c6252b9288cfa8e10a52d4082e51c
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sun Nov 2 17:51:30 2014 -0500

    demux: ogg: avoid use-after-free

commit 24b37f4859f716c86ad2649837b32184818a5da0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 2 17:06:40 2014 +0200

    httpcookies: fix heap read overflow (fixes #12674)
    
    Cc: Antti Ajanki <antti.ajanki@iki.fi>

commit 3d95e735d7135abcd7c031a87f6b43ecff0ea3bd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 2 15:12:22 2014 +0100

    demux: avi: set PCR on seek

commit 7307480b7a9b72d0f19a155216c608121a174a98
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 2 14:18:00 2014 +0100

    codec: avcodec: simplify clock set condition
    
    date is always >= VLC_TS_INVALID

commit 09acd6df1bab5ab3423ac4674539ab62dead90e2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 2 14:15:55 2014 +0100

    codec: avcodec: use TS_INVALID for 0 time init

commit d6388f26bb6efef29397ba91b02befc427b3423e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 2 12:08:56 2014 +0200

    trivial_mixer: try to fix dual-mono (fixes #12673)
    
    Original channels is under-specified in my opinion. If you know where
    the design documentation is, please tell me.

commit a842bc4778ea330326af8abf6de5659c78e30cb7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 2 11:35:16 2014 +0200

    PulseAudio: clobber original channels (refs #12673)
    
    Do like the other outputs do.

commit 81765639fdae8b0c9532c31e90e49eb6aecd5d72
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 2 11:07:55 2014 +0200

    trivial_mixer: specialize filter callbacks directly

commit 1047340ebc8f59895d7ad8747f7ec48528a31f64
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 2 10:52:19 2014 +0200

    trivial_mixer: select conversion in Create(), not DoWork()

commit a6c5f999ea28070c73f3c7db47414f666fdd6265
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 2 10:16:49 2014 +0200

    trivial_mixer: cosmetics

commit baf3bd02d0df73a19862aafd834effff68c92a51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 19:17:24 2014 +0100

    DVDnav: remove unused includes

commit 482beffd24beb289f090841a6e6e8051f7fd59bc
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sat Nov 1 10:43:37 2014 -0400

    tools: build protoc support libraries as static
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 776eba37ec0a05002c8c936f0828fec075269681
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 18:24:41 2014 +0100

    Contribs: disable aribb25 until MacOS is supported

commit 337786ec6f4cba6f404f17d57086a9e3716e16d4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 17:34:59 2014 +0100

    Kate: fix typo

commit c1111ae38b03d71900bebcc98ca0410550e6beb8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 18:30:39 2014 +0200

    decoder: remove decoder_DeleteSubpicture() and fix a leak

commit 572925b6a6c642aa0ee4ef864e8b7f2a9af60e41
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 18:26:26 2014 +0200

    es_out: unused variable

commit af8beef6a94e0b60417160879870e0d14f997fe6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 18:20:35 2014 +0200

    decoder: fix comment

commit a566519f10c05f78d1acc028dfcfb812b7ecac18
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sat Nov 1 13:43:08 2014 +0000

    cmake: bump to version 3.0.2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c70140142089ffd7512bbe9addc6e7f09a732da8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 29 15:38:09 2014 +0000

    libmp4: fix segfault
    
    Le 28/10/2014 23:11, Frédéric Yhuel a écrit :
    >  static int MP4_NextBox( stream_t *p_stream, MP4_Box_t *p_box )
    >  {
    > -    MP4_Box_t box;
    > +    MP4_Box_t box = {0};
    >
    >      if( !p_box )
    >      {
    >
    
    Better fail early. (untested, no sample)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd11c84d8b6ab635158886b17879e591b9abe2e6
Author: Antti Ajanki <antti.ajanki@iki.fi>
Date:   Wed Oct 29 17:04:28 2014 +0000

    hds: Implement STREAM_GET_POSITION and STREAM_GET_SIZE
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6a6c23bf075ba70844f8e9b51991df74952d616f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 15:59:55 2014 +0200

    vout: fix picture lock/unlock with private pool

commit 37be0f0eef36f2c32a8746810950c921fcc4dd28
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 15:58:51 2014 +0200

    picture_pool: fix prototype, fix warnings

commit 2befefd4ea6a518d9fa35349e483e3d564c2fe80
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 14:56:13 2014 +0200

    picture_pool: partly fix integer overflow
    
    picture_pool_NonEmpty() still won´t work quite right when the overflow
    happens, but that function is a horrible dysfunctional hack anyway.

commit 5d78deeb986e4bf77140dfbad63b0f0b14b98a53
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 13:54:40 2014 +0100

    Win32: we don't need libstdc++-6.dll or libwinpthread-1.dll
    
    libgcc_s is still needed, for C++ modules
    
    Gotta love libtool
    
    Ref #12620

commit bbf0e6459f87997cbbbaadcc93e5be8fcf8235bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 14:46:48 2014 +0200

    picture_pool: remove ..._Delete(), use ..._Release() directly

commit 67e74ed283db585fb8ee7905a877117fbde1932d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 13:42:08 2014 +0100

    lib: use app-icon-name for libvlc_set_app_id

commit 657c1530b9180f3f5118835fb0c3d866162e3fa5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 29 16:46:02 2014 +0200

    vout: print error if the decoder leaked pictures

commit 89006bba46f73a0e59582031b37e9fd6bb7790a8
Author: Konstantin K. Beliak <smbadm@yandex.ru>
Date:   Sat Nov 1 13:34:03 2014 +0100

    BDA: support for DVB-T2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 160b51a33dc5e96cb91b0efb83ae06bb76f8a759
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 14:29:20 2014 +0200

    avcodec: simplify picture references

commit 3159c34c5b973f8c513f1e9fbb3e509e4540243a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 14:25:50 2014 +0200

    decoder: remove decoder_UnlinkPicture() and decoder_DeletePicture()
    
    Use picture_Release() directly.

commit 58c8d782c5a3ec56e5f2e328a38d618c72d27740
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 14:17:01 2014 +0200

    vout: remove vout_ReleasePicture()

commit b8c35c764a0bcceedf07a438e2b025743cf47eb3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 14:11:34 2014 +0200

    vout: remove the picture lock (fixes #11669)
    
    This is no longer necessary as picture pools are locked internally.

commit 5c9821d845f3b5f3bdd1bca9449335523a044081
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 10:10:37 2014 +0200

    picture_pool: no longer muck with the reference counts, fix races

commit 85e5f7ca8c748b628b50eda2c2c9eebdd0a20827
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 10:02:33 2014 +0200

    picture_pool: simplify and clean-up pool deletion

commit 995535ec9f1a5ea40975787c199bb07f12d4dca3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 11:08:19 2014 +0200

    picture_pool: simplify and clean-up reserve pool

commit 2d314967c9824d088f22ac556be143b87b4cc5ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 12:00:14 2014 +0200

    picture_pool: wrap pooled pictures
    
    The pool can now have its own independent garbage collector, that no
    longer clobbers the original garbage collector.

commit 1f08e25399b1aedb14e1836af3a5d9ac8b9cf905
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 13:25:36 2014 +0200

    vout: destroy the private pool while resetting the decoder pool
    
    Otherwise picture references from the private pool get clobbered.

commit f1b80fa3163240c9ccff6fdbf0eeaacd608a8cda
Author: Yuudai Yamashigi <yyamashigi@videolan.org>
Date:   Sat Nov 1 13:26:21 2014 +0100

    stream_filter: aribcam: fix old library path
    
    That fork uses a different path to avoid problems

commit f35a1b8311d2a8ac12dc2f419157c35768865711
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 13:13:51 2014 +0100

    Qt: prevent focus stealing on seekbar tooltip
    
    Why be consistent, Qt?
    
    Close #12671

commit c91715f76e29b933128f772d3c936c1d2eea8227
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 1 12:26:48 2014 +0100

    macosx: Fix resume playback in certain situations
    
    For resumption we need to rely on the "time" variable instead of
    "position", as the total duration of the file might not have been
    set yet.
    
    Also simplifies the code.
    
    close #11981

commit a4a567cd04f30bc864057d8c8ea59c5e8a193ceb
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 30 22:39:26 2014 +0100

    macosx: do not use the cone as sidebar icons
    
    The cone does not really fit and looks ugly. Instead, use the
    broadcast icon for all internet-related sd's and local icon for
    devices category.

commit cd2d49fea13555aeca1e80a791d25126cd94b952
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 11:41:12 2014 +0200

    decoder: stray declaration

commit af936f95b5d35e3053103a8046cc520e3d20ca7d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 11:02:00 2014 +0200

    picture_pool_NewFromFormat: improve error handling

commit fb2ff2574e39e7d61903ad386a0511190317e19c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 1 10:59:44 2014 +0200

    picture_pool: fix prototypes

commit d15a47776eca80d258baacac2d0709c77679d7da
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 31 17:30:39 2014 +0100

    picture_pool: fix refcount leak if pic_lock fails.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 3cfb5fe97a1ef81922d0ee7c67a626bd5887f7dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 23:05:51 2014 +0200

    decoder: remove decoder_LinkPicture()

commit 44ea680b068b2a4bed38d9db97dcb33fd2d4e37b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 23:00:11 2014 +0200

    vout: remove vout_HoldPicture()

commit 7e864e866a1e72a07bf5bd96941bbef539ca710c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 22:57:51 2014 +0200

    vout: remove unncessary lock in vout_HoldPicture()
    
    picture_Hold() is reentrant anyway. The vout picture lock protects
    the decoder pool. The decoder pool may be modified by picture_Release()
    but not by picture_Hold().

commit 98f3a7b37d290c3b003eda65b56d619fa30aba9d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 22:55:27 2014 +0200

    vout: remove unnecessary lock around the picture FIFO
    
    The picture FIFO has a lock internally to protect its internal state
    while picture references protect the pictures.
    
    There is no need to protect the FIFO usage with the picture lock.
    At this point, the picture lock is only protected the decoder pool.

commit 72f131d90da137cd73a3f9f1d05cedf873b358d4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 22:44:42 2014 +0200

    vout_ReleasePicture: do not wake up the video output thread
    
    The video output thread never allocates pictures from the decoder
    thread. It uses the reserve private pool and, when if not rendering
    directly, the display pool. Thus it has nothing particular to do when
    a decoder pool picture is released.
    
    (vout_PutPicture() wakes the thread up to kick rendering.)

commit 61828fc1b7001dd7192f35686d79144e2e2d4042
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Oct 31 16:58:25 2014 -0400

    contrib: add JACK
    
    Default disabled for now.

commit 0ba7c06e1088a9b3e2fddcdf5682cb38faa73b77
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 31 17:17:23 2014 +0100

    android/opaque: fix crash on Close with subtitles
    
    The pixels allocated from picture_NewFromFormat were replaced (and leaked) by
    pixels allocated by android native windows. This also leaded to a crash on
    Close when subtitles_picture was freed.
    
    Use picture_NewFromResource with an empty to resource in order to don't
    allocate any pixels.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e943d01c2ec896b9f3cd3f5fbe5a6843f1392b1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 31 17:17:22 2014 +0100

    android/opaque: check if subtitles_picture is not NULL
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb23e240964f90a3e684e9da61f2c932d6930385
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 31 17:17:21 2014 +0100

    android/opaque: fix indent
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ad0e12de52f552c8cfb3b3d60ee00a7246998c8d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 30 02:25:52 2014 +0100

    Win32: copy the BD-J jar to the release folder

commit 234e80cb494162a6272b125aed8021dfa71f793e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 21:11:39 2014 +0200

    doc: make libvlc_audio_set_volume_callback() dependency explicit

commit c2b0f25eab8debf0f9d437dbeb298368692dddc6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 21:02:43 2014 +0200

    picture_Hold: add an assertion

commit 28375c8354989b6b6a400bb614a6d584c8bbf8e6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 18:54:34 2014 +0200

    Wayland/SHM: fix memory leak

commit 7609918fc2e99dc7a0e163e13aec6e57bfd9b02b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 18:02:27 2014 +0200

    picture: separate destroy callbacks
    
    Use a separate callback for pictures allocated in heap and pictures
    allocated from video output buffers.

commit 3512e4087ed65b10ba9166ae1e3ba001ef19e76c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 17:25:25 2014 +0200

    spu: remove filter_DeleteSubpicture()
    
    This is only used in error corner cases, and is always the same as
    calling subpicture_Delete() directly.

commit dfae0979f0e4ce58430a7734de89cfbb396691d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 17:18:53 2014 +0200

    filter: remove filter_DeletePicture()
    
    All variants of the filter_t.video.buffer_del callback invoke
    picture_Release() - possibly through recursion.
    
    Most filters used picture_Release() directly already.

commit 73c7b4a1c052f145a4452fc3217465b5bbc808b7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 30 15:16:13 2014 +0100

    decoder: separate vout initialization from buffer allocation
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a2d03a83754c9f264a84f9a45310431d41ee9a96
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 16:04:16 2014 +0200

    OpenGL: simplify pool creation

commit 396436191c55a7e9ce6e88f9e6e70fe4a4fbaa40
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 30 16:03:59 2014 +0200

    MSW/GDI: simplify pool creation

commit 647f5417d6c8152332fa0fe0397f540a1b0e88ba
Author: Yuudai Yamashigi <yyamashigi@videolan.org>
Date:   Thu Oct 30 07:51:44 2014 +0100

    contrib: aribb25: dist source doesn't need bootstrap

commit 9e99ef07827bb2a1796770ad0b12b028b8643ede
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 28 21:30:02 2014 +0200

    picture_pool: fix race condition
    
    This makes picture_pool_Get() reentrant.

commit 364e73c39fcaa0fa0a4db224c01adc92a5be1ff0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 29 21:25:44 2014 +0200

    Unexport picture_pool_NonEmpty()

commit 77d6f3993f9ec062bdec9136f2f2223417218fad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 27 19:54:15 2014 +0200

    pool: move lock/unlock callbacks to picture_pool_t
    
    This reduces the size of picture_gc_sys_t. The callbacks are always the
    same for all pictures in a given pool.

commit 07e428de4dcc31bbd09c0cd4165853da5d6b5b26
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 29 16:43:38 2014 +0200

    picture_pool: split picture_pool_NonEmpty and picture_pool_Reset

commit 3ca607e89889c99fa22db208fa46df95033ce3bf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 27 21:16:09 2014 +0200

    pool: keep reference to pool in each picture

commit 1d2dcf803ab88fa85514d1f4843c6838cd6f408a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 27 21:05:00 2014 +0200

    picture_pool: remove unnecessary special case
    
    We can offload the picture deletion to Destroy() in all cases.

commit 293ed5e2ce38aa632a47206ff260a49771e9f67b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 29 20:00:51 2014 +0100

    macosx: Add own callback path for item-change
    
    The item-change callback might be called very often, and thus an
    own code path is better, with only necessary updates.
    
    Additionally, this fixes multiple resume playback dialogs occuring
    at once when starting playback in certain situations.
    
    refs #11981

commit bdeab8dbc3322410de423305e513843fec644ba0
Author: Yuudai Yamashigi <yyamashigi@videolan.org>
Date:   Tue Oct 21 23:11:48 2014 +0200

    contribs: add aribb25

commit ce071202e0e1924203952c5a5036322d182b5a90
Author: Yuudai Yamashigi <yyamashigi@videolan.org>
Date:   Tue Oct 21 22:26:36 2014 +0200

    demux: ts: add support for ARIB STD-B25

commit 55a03066e5bcafb013cab151b18a462760e22e89
Author: Yuudai Yamashigi <yyamashigi@videolan.org>
Date:   Tue Oct 21 22:17:27 2014 +0200

    stream_filter: add ARIB STD-B25 virtual cam module

commit a9d48170382121732bcf0b19ec6edb433b34e8db
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 29 11:47:41 2014 +0100

    stream_filter: smooth: missing terminating zero

commit 38750d0d57328442a2463ae4f4e1c0bebf53878f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 29 11:47:03 2014 +0100

    stream_filter: smooth: server does control pace in live mode

commit 3dcc5292dc2518de151ef6c73ccfdc3068323bbb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 29 11:46:31 2014 +0100

    stream_filter: smooth: live mode must download all incoming chunks

commit 1f28f66ee7def187fc4746a8ccd6dae69abbfb9b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 29 11:42:17 2014 +0100

    stream_filter: smooth: fix int overflows reading xml

commit 95b15a98ed05c953e5b8c4274fb681fcb877e457
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 29 11:33:07 2014 +0100

    stream_filter: smooth: handle live max lookahead

commit a95ac7be77bb40bbf6325411df5f42c5cf6d0b4d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 29 10:45:16 2014 +0100

    stream_filter: smooth: missing full cleanup/fix leak

commit 8880f6c7e58d75d52810f5c82f24c62825184b67
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 28 21:46:00 2014 +0100

    stream_filter: smooth: fix url template token replacement
    
    Also handles CustomAttributes

commit 1b820cdae4971a971f5a55ad0bf7e6d9bc974b45
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 28 19:15:26 2014 +0100

    stream_filter: smooth: handle quality custom attributes

commit da8fb2172735584cc224ba672eb7bfaf2953413d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 28 17:32:32 2014 +0100

    Fix protoc check

commit 7656b3b4491272175984bcb48106f49e23e934f0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 28 15:10:47 2014 +0100

    stream_filter: smooth: allow pausing

commit d99bf09b92b841666b838369be26c4128b12cebd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 28 15:07:12 2014 +0100

    stream_filter: smooth: fix always zero get_lead()
    
    Was downloading regardless of consumer

commit 191c27813256fc4a3a9875414e7f3793fc9c0105
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 28 14:13:04 2014 +0100

    stream_filter: smooth: non live streams can control pace
    
    Fixes most of glitches for non live streams, especially on
    quality change.

commit a326db9b675cf7b6760681380a61bfaece1b46c5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 28 13:46:08 2014 +0100

    stream_filter: smooth: fix unwanted padding in error string

commit 5a9b7726e58f493b345401dff3dee37dc9d1b4fd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 27 22:48:30 2014 +0100

    stream_filter: smooth: fix signedness

commit d3d3cfceff05755e1b62325ae4c9568cd57d20ad
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 27 22:43:57 2014 +0100

    stream_filter: smooth: fix warnings for non bw adapt mode

commit a3382f3bd3235607bbe67d25d22cad578f0bf6a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 27 21:25:22 2014 +0100

    demux: mp4: fix PTS delta
    
    CTTS value can be negative on version 0, and match the not found
    return value used in GetPTSDelta.
    ex: Sintel Smooth Streaming sample

commit fbd0ccb714b4cf830c77fe11cf36524856903efd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 27 22:30:55 2014 +0200

    picture_pool: add test case

commit 5f7cb6f8b1864563652954a0d5d667bebb2583ee
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 27 20:50:17 2014 +0100

    Contribs: disable vpx encoders with --disable-sout

commit 4da2ee4b70e3f1b217fa3dbac7076c160745eaf1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 27 20:49:56 2014 +0100

    Contribs: disable vpx docs

commit 8032442916b4d08884f60c4ae3341d879cd65b97
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 27 20:39:11 2014 +0100

    Contribs: don't disable VP8 decoder

commit d05c17272e276174109758315fbd413164b789d6
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Oct 27 21:05:51 2014 +0200

    mft: Use the right index for IMFSample_GetBufferByIndex
    
    The input stream id is completely unrelated to the input
    sample buffer index - the sample allocated in AllocateInputSample
    contains one single media buffer, at index 0.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b9f0d211699248112818b50e5b68d22c996cf3f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 27 12:09:56 2014 -0700

    swscale: fix compilation if avcodec and avformat are disabled

commit aede137f9aedbfacec351bbbeba13bdb5e210ba1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 27 11:29:58 2014 -0700

    extras/ios: add a new flag to compile a limited set of non-scary codecs only

commit 6860455438177ba8669a2d0738bdd9503abc5cb5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 27 19:54:28 2014 +0100

    Contribs: disable speex NEON on aarch64

commit cbe9b209227272da3e6c01abdf36d0b3d20c47cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 27 19:54:03 2014 +0100

    Configure: swscale needs libavutil headers

commit 0cdf339b90599d7abae30a94eb3e8cb9bf4b346d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 27 19:44:24 2014 +0100

    VOC: remove trailing space

commit 5b998cb940aac8f78408c7d082b5752a5440d869
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 27 17:28:49 2014 +0100

    demux: mp4: fix retrieving trun durations
    
    LeafDemuxer fixes (the experimental data-sequence driven
    fragmented mp4 demux).
    
    Some muxers are interleaving using single trun/fragments,
    Moov()->Moov(A)->Moof(B)
    instead of interlacing truns withing fragments.
    Moov()->Moof(A,B)->Moof(A,B)
    Example: BigBuckBunny ismv file
    
    Another problem is that data isn't interleaved at all
    at end of tracks, and there's a long trailing gap of
    audio fragments only.
    Moov()->Moov(A)->Moof(B)->Moof(B)->Moof(B)->Moof(B)

commit e59b5819c59ece85689e6c9ce93a53c0c626b0d6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 25 21:29:29 2014 +0200

    Add YUVA 444 10bits FourCC

commit fe2a7b4912614bad4a46809bb319d3f7ec68a2a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 26 20:57:07 2014 +0200

    variables: check that FLT_RADIX is two

commit 2d788ac2386845acfc21f50c7b82e0a36ea198ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 26 18:45:37 2014 +0200

    variables: try to retain exact value converting float to fraction

commit 3705c13a7677f85b4d168e55a071cbcf6d227be5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 19 19:20:51 2014 +0300

    vout: simplify vout_display_NewWindow() parameters
    
    Only the type is useful here. The other parameters are the same for
    all video outputs (i.e. copied from vd->cfg), and should already have
    been taken care of when the window was created.

commit aaef11b8631a47307051aaeae3001ee2639508d7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 26 01:16:25 2014 +0200

    Swscale: init the pf_video_filter after possible fails

commit de52f56adc16506c59d535e15396f19b5ad42a5e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 26 01:07:16 2014 +0200

    Swscale: use calloc instead of malloc

commit 45f82a69329375e040e625d3bc4ee389017f7a70
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 25 21:04:58 2014 +0200

    FourCC: add comments and reorder
    
    (no functional change)

commit c9b8c8b964148bf1e508b04801bea80ee69b772e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 25 20:55:39 2014 +0200

    avcodec: map YUVA 4:4:4

commit d3de0ffc472ddaf38fe6ba20f05071742ad8d86b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 21:58:58 2014 +0300

    PulseAudio: remove the base volume hack

commit 77f58c382703f93e899683844d1917cd7cb69d22
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 25 03:51:45 2014 +0200

    youtube.lua: support embedded iframe URLs
    
    Closes #11878

commit 1ab2a942a26cd527b890977861bdcc2fdfcb7c72
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 24 17:41:14 2014 +0200

    iomx-dr: fix crash if anwpriv.connect fails
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 007129495a109fa207fe945bccbb4a481d142259
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 24 17:41:13 2014 +0200

    nativewindowpriv: add missing return 0
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bdd6d80e23f3358c887215fb0497dff79b799e09
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Oct 24 16:39:37 2014 -0400

    contrib: opus: don't build extra programs and doc

commit f74f2334bb83476564a4cef106d8fdd2573db1a2
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sat Aug 23 16:22:37 2014 -0700

    libvlc: Remove duplicated forward declaration

commit d4374ff3615271571358e18ed6449d6643694eb4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 15:57:49 2014 +0200

    configure.ac: Generate pragmas that MSVC understands
    
    Even though that pragma is standard C99, MSVC doesn't understand it.
    An issue has been opened, and this commit should be reverted when/if
    they fix it:
    https://connect.microsoft.com/VisualStudio/feedback/details/1009089/unhandled-standard-macros

commit b47e3aa0324825cd208939f31ca23af27990118c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 15:30:09 2014 +0200

    winvlc: Fix function pointer cast syntax

commit b46c47c7fa01e149e38f2f8754c9e8b0a0a58725
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 14:38:38 2014 +0200

    contribs: ffmpeg/libav: Properly pass NM/AR env variables

commit 46c8882940daa6ef6f6ac04b2bc456bd6875c037
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 14:24:45 2014 +0200

    contrib: bluray: Remove deleted switch

commit f3f56a78644212d2f461cfa1f90e50d8ca26ce03
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 14:24:26 2014 +0200

    contribs: bluray: Fix xml2 option name

commit c5747e65363f6260adf95dbb6a3f1307cead38fc
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 12:31:19 2014 +0200

    yadif: Remove duplicated const

commit 991286613d288474b1a3fba98c7892aa8127c4b9
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Oct 21 17:38:39 2014 +0200

    mft: Provide the library that contains some of the uuids we're using

commit 260d31fa7bb75b7546762b19bf626b71cb4c1988
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Oct 21 16:51:26 2014 +0200

    rc: Fix invalid returned value

commit 7f5facae49ca85818951eb57f07ad9f30adb3f5e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 22 14:07:49 2014 +0200

    configure.ac: Fix aribb check

commit d78e3a654f3538e17c5683e0a3d8fd282103b68c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Oct 21 16:10:52 2014 +0200

    modules: Remove use of gcc specific conditionals with omitted operands

commit 0bd864fe9d981ee913788486c88cdb0e632f4719
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Oct 21 16:04:41 2014 +0200

    mmdevice: Use BOOL rather than WINBOOL
    
    WINBOOL is mingw specific

commit b515804f5ff094cacb7202b3d9c5d1b550a3ea3b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Oct 16 20:13:49 2014 +0200

    dash: Remove unrequired (and invalid on some compiler) namespace

commit 40aa75316d6f3edc457354ac26295e292a8b1f9f
Author: Thomas Guillem <tom@gllm.fr>
Date:   Thu Oct 23 07:01:21 2014 +0000

    mediacodec: fix crash when color-format is invalid
    
    Fail if GetVlcChromaFormat return 0.
    (It'll throw a HardwareAccelerationError)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b930ade83b84dc22fed7bbf0ad8e2c6f7595ef4
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Oct 23 22:13:41 2014 -0400

    sparkle: add SHA512SUM data
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 43b98677848b7a678616251ef922275aac50a72b
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 24 12:36:59 2014 +0200

    omxil: fix crash if OMX_AllocateBuffer fails (debug build only)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ab4c04f2f5545dcc3cae7ebffe8d28f3e2c5a915
Author: Thomas Guillem <tom@gllm.fr>
Date:   Thu Oct 23 12:56:43 2014 +0200

    mediacodec: cleanly abort DecodeVideo if GetOutput failed
    
    - Fix possible infinite loop with sw rendering if GetOutput failed.
    - Don't return a pic and don't release the block in case of error_state.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1182e9d4d737a4cf00bf84a2438b5e4f87b101e6
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Oct 22 12:18:41 2014 +0200

    chromecast: fix the device loading timeout
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2df1cc66bba4996f3792b716f1fc090dc2fb1533
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Oct 22 12:07:08 2014 +0200

    chromecast: initialize i_requestId
    
    This fix the random start fail of the module.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 32486e651c0473e3b6658f6bc8a905f5450abf42
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 21:32:01 2014 +0300

    variables: remove VLC_VAR_GETLIST (same as VLC_VAR_GETCHOICES)

commit c320bf790eca7829f79c44dd7c85d9cc70b65619
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 21:18:44 2014 +0300

    vout: remove the "scale" option
    
    This duplicates the 7-years older "zoom" option for no good reasons.

commit 6c490e5f693809e50e7dc2ffb11ca86e43b118d3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 22 19:27:58 2014 +0300

    vout: update "crop" when "crop-{top,bottom,left,right}" is used
    
    This makes sure that the "crop" variable always represents the current
    crop settings.

commit 9dd3e8fb42fb3314317400059e8630b713221e95
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 21:13:40 2014 +0300

    vout: remove harmful or commented out display events
    
    The video output variables currently represent the wanted state, not
    the actual state. Forcefully resetting them to the actual state with a
    delay can create feedback loops. (Indeed some of the code paths had
    already been commented out for that exact reason.)

commit 8cffc346abebfb03845212392d5d289c3c97de82
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 21:06:26 2014 +0300

    lib: use "zoom" rather than "scale" (like interfaces)

commit 8a20203939d5dcdc8e36bee0484fb67f76c5002f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 20:03:32 2014 +0300

    hotkeys: use "zoom" rather than "scale" (like the GUI do)

commit 2f1fdf0194a7f17c312bcb85144eed79b19e77fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 21:03:07 2014 +0300

    vout: remove no longer needed hack

commit 169ac15487273b85cd6161b90bc690f1e51c9e93
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 20:11:51 2014 +0300

    vout: allow unlisted values for "aspect-ratio", "crop" and "zoom"
    
    This allows setting a value that is not explicitly listed a possible
    choice, and also fixes a small race condition between VLC_VAR_DELCHOICE
    and VLC_VAR_ADDCHOICE cals.

commit abe0b91d0f5fa70e43f8ae4b7d8e752078cce8fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 20:54:24 2014 +0300

    variables: set VLC_VAR_HASCHOICE in var_Type() if there are choices
    
    This allows adding choices as mere suggestions rather than strict set
    of choices (just don´t set VLC_VAR_HASCHOICE in var_Create()).

commit 2a50f02183e108b8b82209c7c29a547f8bf41f64
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 20:35:52 2014 +0300

    variables: simplify and rectify list memory allocation

commit b893d33da2b098863e49229d16bdf45755ae7668
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 20:24:01 2014 +0300

    variables: store a single type per list
    
    All entries in a single list always have the same type anyway.

commit 21938b734b31697a415b7a86970b888350ad1bdf
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 23 17:31:17 2014 +0200

    TS: Opus needs a registration descriptor

commit f03f44d76a1949f5cbc05989fa1ab257818d245c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 23 17:58:50 2014 +0300

    mjpeg: do not assume that stream_Read() succeeds

commit def33da534a93e67f251d31057a3d503febb9754
Author: Damien Erambert <damien.erambert@me.com>
Date:   Wed Oct 22 20:27:40 2014 +0200

    macosx: update yosemite graphics for time slider knob and volume buttons
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 5027938fb4965bca2d3e11ad1c17ca7aecaed258
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 22 19:20:14 2014 +0200

    extras/ios: fix compilation with latest xcode releases

commit 79df8a65f1a4a2a3444cdeecc3055681e6dd5a46
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 22 18:48:50 2014 +0200

    extras: libtool depends on automake, which in turn depends on autoconf
    
    This solves long-standing conflicts with homebrew as well as the latest Xcode releases. Additionally, in most cases, all 3 items were built anyway.

commit 52b64b0567338913bc43a4e013ad20f2bbda8be3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 22 17:22:25 2014 +0200

    macosx: don't rebuild the playlist table unnecessarily often (close #12430, refs #9960)

commit cea540343e4a44410219054fcd74b7fb4001ee17
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 21 21:01:44 2014 +0200

    demux: mp4: ifdef fragment debug info

commit cc356c39293c63ecfe1a6e4516b41d6a3ef44a37
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 21 19:02:47 2014 +0200

    demux: libmp4: fix invalid tfra values reading

commit c60a55a61d6ae0c800f5f21cbb94982c635fb369
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 21 17:50:35 2014 +0200

    demux: libmp4: add tfra version guard

commit a10158cfa71bdfe6ebc86ddd22a88905b2d80ab4
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Oct 21 18:33:56 2014 +0200

    skins2: use new vout_window_ReportSize

commit 951e8760eb3aa4caf1d11ef89cbba4a34c2bf008
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 21 17:38:26 2014 +0200

    demux: libmp4: change tfra debug verbosity

commit 66be1eaf1277cb9d0009393647b8bdf3e638d04a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 21 16:14:58 2014 +0200

    demux: mp4: never match an empty fragment computing time offset

commit 1a0570b5dfb06396d2732115e88bc2aee18592f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 21 16:14:23 2014 +0200

    demux: libmp4: change trun verbosity level
    
    slows down everything :/

commit 6dfb313050fb29a77d9ee6ba924f0a70a59f74f2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 21 15:36:47 2014 +0200

    demux: mp4: never match an empty fragment on seek
    
    Moov fragment has full length after fixup, but zero data.
    Fixes 0 position on ismv seek

commit afa9344cb8c479503aaacbd6605a89c4a0e3026b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 21 15:07:32 2014 +0200

    extras/ios: add a debug flag to the build script

commit 429b0c7a08fa3e5fb2df6d2eb50d11ab503eece1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 21 11:36:11 2014 +0200

    VDA: silence a warning

commit df9c1aa43840a482231afa4fe51a96f6d5a25eab
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 21 11:31:14 2014 +0200

    VDA: fix typo

commit 44d4685b1ca4d1b58c4ce77d479103d482be5d14
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 20 22:17:33 2014 +0300

    swscale: scale the whole picture (fixes #12085)
    
    ...not just the visible part. So that cropping still works even though
    the visible part of the input and output format typically do not match.

commit 26653f064d13de62a538a689fde9c8574e1fc042
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 20 22:49:19 2014 +0300

    swscale: dead code

commit e9b6a93920aa37174192e377902000996b532f4a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 20 22:44:04 2014 +0300

    swscale: remove useless parameters

commit 2de2fe185c5fc18712c2f9714800e09c0d213a84
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 20 21:02:24 2014 +0300

    XCB/window: create the handler thread even without keyboard events

commit 0fbba507e18300b8faf6614d7dac11b3e1464cb0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 20 18:23:34 2014 +0300

    swscale: remove constantly zero parameter

commit 7e92a492766d31dfa91aaea2eafb37d35e8886a1
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Mon Oct 20 18:06:13 2014 +0200

    Win32: stop stacktrace on bad pointer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7f4166b98d61e2e280ca9e6158e007477fdc2920
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 17:51:16 2014 +0200

    demux: mp4: set track priority by elst time
    
    /samples/mov/variable-fourcc/kldatei.mov

commit 5aaf6a5aead937042ab23cc8dc8313e938c75c07
Author: Julian Scheel <julian@jusst.de>
Date:   Wed Oct 15 14:17:39 2014 +0000

    mmal/vout: Add some comments to vout_display_sys_t
    
    To ease understanding of the code add some comments.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ef98e81ff014175fd7494c8313de8883d15834b3
Author: Thomas Guillem <tom@gllm.fr>
Date:   Mon Oct 20 14:50:27 2014 +0200

    contrib: speexdsp: fix build with android-ndk10c
    
    In android-ndk10c, there is a "arm_neon.h" for all archs. The arm_neon.h for
    x86* contains correspondence between neon and sse. In speexdsp, There is a
    conflict between resample_sse.h and resample_neon.h. So disable neon if arch is
    known to don't have neon.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ccc10baea4650042532307da4f4a9c67b9f6dbea
Author: Thomas Guillem <tom@gllm.fr>
Date:   Mon Oct 20 12:11:11 2014 +0200

    android: deactivate vout window plugin
    
    For now, we do everything in vout display, so we don't need a window.
    
    Fix vout_display_IsWindowed returning true and breaking android vout.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 59dbabddbaed67e2d09db73c4e8b554e2116cb2c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 17:14:46 2014 +0200

    demux: libmp4: add few encoders

commit fe4fa8c9449519087e7347de6a6157e4d875984a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 20 18:07:51 2014 +0300

    rawvideo: remove negative video height, signed overflow

commit 96f2bbe665535005fb1db0118daa37c09f909f9d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 20 18:06:57 2014 +0300

    dshow: remove negative video height, signed overflow (fixes #10998)

commit ff9139a5c4957369117d1249f6ae67ca1b65444b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 14:16:37 2014 +0200

    demux: mp4: set pts delay = preload

commit 7604cc2999b9a9169cf4003cb2be2d69ab845faa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 16:18:06 2014 +0200

    demux: libmp4: still read siblings if prev box failed
    
    If we discarded an atom, the whole chain was broken.

commit 187848727a37a6629f5ae38f58c94e6cabb9570e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 13:14:59 2014 +0200

    demux: libmp4: add load atom

commit b6fce7e29f030e06c9ec48516fe89b1aae32f384
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 12:00:29 2014 +0200

    demux: libmp4: add missing QDM*/wave rules
    
    samples/mov/variable-fourcc/kldatei.mov

commit 7d3c31feed6514d703c33772da904308a756014c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 00:21:29 2014 +0200

    mime: add quickdraw pict mime

commit 30a6b7de8519cb8d66ed189ac1d6bfd3c8bf7e00
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 00:20:38 2014 +0200

    meta: cache pict art

commit efba61a6a69db8f61f537e1fec7f28dfee40198f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 20 00:19:41 2014 +0200

    demux: mp4: return all attachments

commit 1714b8ead2e6f14f94d25be86c608d845c830a0f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 19 18:44:11 2014 +0200

    demux: libmp4: add quicktime pnot movie preview atoms

commit a8d12d85e811f3dc2e46809bcbc41ade25d9679f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 19 18:28:09 2014 +0200

    demux: libmp4: add binary generic atom

commit a372720ffe4ebdf05e4145407e611a1cd9f0e72e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 19 23:07:41 2014 +0200

    macosx: do not save resume data if VLC is in private mode

commit b2525ebf7c3658d72963def5d9ac5b7627ac3b4c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 19 23:00:05 2014 +0200

    macosx: fix resume playback guards, do not resume for folder urls
    
    Folder URLs are likely DVD or bluray folders, which cannot be resumed
    properly. Also fixes memleak, and unify guards. Do not save position
    for input items which we do not resume afterwards anyway.

commit a8994ec08542bf0954e67dccf1d47657adaf4570
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 19 18:57:22 2014 +0200

    macosx: slightly de-uglify the VLC description in the about dialog by rendering it in the system's default font instead of Times

commit 1e8e062193c3c96ceb625396107d361bf023478a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 19 18:06:11 2014 +0200

    demux: libmp4: chpl atom belongs to udta
    
    And only read it if that's a known version.

commit 9d8d2b01784ba3d2a86c5e316edc13303a422569
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 19 17:20:49 2014 +0200

    demux: libmp4: remove 0xa9 special handler
    
    ilst -> metadata (indexed or not) container atoms
    udta -> raw atoms

commit 71fee295013ebc7bfa7a70dd1a9d62aae247ab10
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 19 17:16:27 2014 +0200

    demux: libmp4: udta atoms are not containers
    
    Only ilst have metadata as data atoms

commit d792f0335c74ba4365e686a666ad978d7112c86b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 19 15:42:45 2014 +0300

    chromecast: partly fix built sources
    
    This is copied&pasted from Wayland build rules.

commit 19bbb8cc2c0aacc176ac83dc7a57fe94407e9ef4
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 18 13:20:36 2014 +0200

    macosx: fix wrong size of playlist when using podcast and minimal view

commit 2b6a8709c5282bf40b3667376d7e67b6ca46b262
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 18 11:21:51 2014 +0200

    macosx: fix podcast view interfering with dropzone

commit 58b713c7f84e8eb9eedc8ca383ac59cd212db234
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 18 09:05:09 2014 +0200

    macosx: Fix drawing issues with podcast controls and dropzone
    
    - Remove black lines below podcast controls
    - fix uncentered dropzone when starting native fullscreen, by slightly
      increasing the min height
    - fix disappearing or uncentered dropzone when changing between
      normal and minimum view quickly
    - consolidate dropzone and podcast sizings in interface builder

commit 544ffab82934566b535c2a10b0dfe6d9ec0154da
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Oct 17 22:37:15 2014 +0200

    macosx: remove alternate image from max volume and mute buttons
    
    This image was set, but it is not overwritten by its os-dependent
    counterpart in code. In fact, we only have one image, so just unset
    the alternate image in xib.

commit 26fde7655abc8f91eddfc971ed1e21d19fbf7edc
Author: Damien Erambert <damien.erambert@me.com>
Date:   Fri Oct 17 22:18:19 2014 +0200

    macosx: Fix and update yosemite titlebar graphics
    
    This especially fixes the -on graphics.
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 17653702c753daa786698b4cdd67084472737d95
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Oct 10 11:47:10 2014 +0200

    m4: fix detection of supported "-Wxxx" flags with clang
    
    Clang does not fail, but only prints a warning by default for unknown
    -W options.

commit 36cb0f52b867d96eddde8577db118c11ce24d77a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Oct 18 00:40:07 2014 +0200

    demux: mp4: add minimal support for exclusive tracks
    
    VLC supports groups where mp4 defines switch groups.
    As an es can't belong to multiple groups, but does in
    switch groups, we don't really have a way to provide
    the same track exclusion/alternative features without
    duplicating es.
    
    Priorities are then set in a way es/tracks from the same
    cat/switchgroup are not all selected.
    
    refs #3970

commit 7a3abe039e62fe7446902e56a9ac672b36e1d158
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 17 21:53:10 2014 +0200

    demux: libmp4: add tsel atom

commit 8d285ab272740fddeed76570d89c37a52636857c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 15:28:13 2014 +0200

    Tools: Update pkg-config-lite to 0.28-1

commit d11bacf2fd9942d518305011424a1f567fa2d554
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 11:50:28 2014 +0200

    Configure: use AC_PATH_PROG for yasm detection

commit 2a3089ad6cd1666406191a5d385677fbd2744e6d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 11:45:17 2014 +0200

    Configure: check protoc with AC_PATH_PROG

commit 51a5098e90ed7c339eb591b98fbcd4ce051b7ba8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 11:44:13 2014 +0200

    Configure: more elegant check of tools bin folder

commit bc494eb08a36a3fb170d3a360942f8e316577677
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 11:38:44 2014 +0200

    Configure: fix tools PATH

commit 70b069caed2a1a6e3fb12d94906341cb55fce671
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 13:35:10 2014 +0000

    configure: add tools from extras/tools to the PATH

commit 7f9196902c69a0f93fcdc9077c0ddacd5667afb2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 10:54:41 2014 +0200

    Tools: create also the lib folder for ant

commit ccbf5bcd26e6e77dbf43cd55a50cb145aca15b67
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 17 10:46:56 2014 +0200

    Tools: create directories before cp into them

commit 32705a02b60567a2cad08ef5766eae613f0394e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 20:56:21 2014 +0200

    demux: mp4: don't display zero trkn total

commit 89f99df872437b3a144fa113629e99d54db31832
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 20:46:32 2014 +0200

    demux: mp4: add some missing raw audio atom/rules

commit 0de00b2c7418586032c2fc45de42c580ca2e760a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 19:50:44 2014 +0200

    demux: libmp4: split major brands from atoms

commit b50d837343969cda3bc6d4a63c646ab38a89f3d4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 19:05:40 2014 +0200

    demux: libmp4: add flvr atom

commit c08f4515e179c8fc72485c7c9eeb1c43899b3710
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 19:01:58 2014 +0200

    demux: libmp4: add xid_ atom

commit f01de99032803a999e69baf80d900c3d764eb764
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 18:57:59 2014 +0200

    demux: libmp4: add rtng atom

commit 0beed0240bb956e15939716e56e4dc3ebf1f3bbf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 18:51:34 2014 +0200

    demux: libmp4: add itunes special atoms

commit af3ab2456b74f07e2e11c911c595a6072d2a9b75
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 18:08:49 2014 +0200

    demux: libmp4: add support for disk meta

commit 5dacc81c8265ca0ebea56750812c68ab6e90f193
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 16:34:29 2014 +0200

    demux: mp4: remove special handler for atom gnre

commit 2b768994ce7a5f399552b9258bb9e46ec70a73b3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 16:26:18 2014 +0200

    demux: mp4: remove special handler for trkn atom

commit c5e6327ae174dae4ed1957d574ac7e99f8026f05
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 14:04:59 2014 +0200

    demux: libmp4: move out data blob rules

commit b0ad53b669aa802cca7652c59246c3781286711e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 12:59:35 2014 +0200

    demux: mp4: rewrite meta handling
    
    Follow the spec and correctly handle text encoding

commit 84726b40410091c105e787198689db8955900806
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 00:40:19 2014 +0200

    demux: libmp4: add define for handlers

commit b0c9dcedf593c761a9a6bea73a1ded2c12d446da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 15 17:42:08 2014 +0200

    demux: mp4: use data type for cover
    
    And fix reading

commit 59d398f7b1b490022619cb8d7884e470730863c4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 15 16:41:53 2014 +0200

    demux: libmp4: read ilst as indexed list
    
    And enforce handler

commit fa5dc0c50a756d5a54614214236bd35cbd8d87b2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 15 16:41:15 2014 +0200

    demux: libmp4: add support for index prefixed atom list

commit 2cc05f7da36d5f364cf8954d82f9e5d06b09c6f9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 15 16:40:01 2014 +0200

    demux: libmp4: simplify dump code

commit 4f3c3d74d912668990ec1321896561d55e4c3cbe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 15 16:19:48 2014 +0200

    demux: libmp4: fix reading data atom

commit 4b004f610f3eb40e25ea6fabf3949bfe24557a84
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 14 22:08:27 2014 +0200

    demux: libmp4: add meta keys atom

commit 5495b91f83fd8313b31a522401cfba237af1422d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 16 19:16:42 2014 +0200

    demux: mp4: remove useless header

commit cf100d4284140e96586025d9c05b1a62d7d0f418
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 16 20:55:37 2014 +0300

    Wayland: check HAVE_WAYLAND_EGL

commit 29fbefec385230802d9bdf2d1cb57caa30605d77
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 19:35:53 2014 +0200

    VSXU: fix build

commit 25f2ada06beb761e526936d37838a095800a318f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 16 20:21:21 2014 +0300

    Wayland/shell: implement basic window size handling

commit 202ea6ff56d896952501a2f63c126c1f6ca5bbbc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 16 20:21:01 2014 +0300

    Wayland/shell: fix NULL dereference in pathological case

commit 0fd8c3bbe595a7538810238a4505711a86f1be52
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 16 20:00:52 2014 +0300

    Wayland/screen: remove useless callbacks
    
    Those two callbacks only exist in wl_output version 2. VLC uses
    version 1 only so far.

commit 31fd358e8a55953fb410898e32e5c25a4c7b09d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 15 22:31:55 2014 +0300

    vout: pass only a boolean to VOUT_DISPLAY_CHANGE_FULLSCREEN control

commit 83ea9ab5f4025f7539bad9a6156f7a086fe12b00
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 15 22:30:54 2014 +0300

    mmal: do not pretend to support fullscreen toggle

commit d9bef016dcb6c99eca0d0c3e6e052c573d3a294a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 15 22:14:52 2014 +0300

    vout: ignore CHANGE_DISPLAY_SIZE failure
    
    In practice, video output display plugins return an error when they do
    not support arbitrary sizes. However nowadays, this control is requested
    only when the video output or the video window report a change of size.
    That cannot be allowed to fail: the display size is what it is
    regardless of the result of the control request.

commit e92fbab66cf7f257ae9a3fefe73eea18b478d6f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 15 22:13:22 2014 +0300

    caca: do not pretend to support resize

commit 9ef4ff3833c2c58767fa51abb63793b3fc2ae2ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Aug 27 20:11:24 2014 +0300

    egl: add Wayland extended platform support
    
    This enables OpenGL/OpenGL ES through Wayland.

commit c4ee2fc8ef9d2a49c983e90edc013cd6cb612cd8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 23:35:35 2014 +0300

    gl: add resize callback
    
    At least the Wayland EGL backend needs to be notified of the size of
    the window (which is independent of glViewport()).
    
    This could conceivably also be implemented with a call to
    glGetIntegerv(GL_VIEWPORT), but that would introduce a dependency on
    the GL - which the EGL plugin has avoided so far.

commit 77028e4a4e16adf8ec9df2ecfdd0f1ab8e579a31
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 22:48:03 2014 +0300

    MMAL: check that the vout is not windowed

commit 9b24bfb5b3b9f07c3cc0e54480ba0bc12a92748f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 22:43:23 2014 +0300

    SDL: check that the vout is not windowed
    
    If there is a window, it has to be used given the video output has non-zero
    priority. Unfortunately, there are no good ways to run SDL within a window
    (it can be done, but it is not thread-safe).

commit e04a1207ea85bbb8e43440e26d0c17f13f73e6e6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 22:43:01 2014 +0300

    iOS: check that the vout is not windowed

commit 6d07b5e4bcaddfe7ad08d373b1a586d8e0c964bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 22:42:47 2014 +0300

    Linux FB: check that the vout is not windowed

commit 023487b8b314694397e1b6b0ef1f375b420f24fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 22:42:33 2014 +0300

    DirectFB: check that the vout is not windowed

commit 42b0285a57f03d41eb64bc3e168371a5c3588646
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 22:42:02 2014 +0300

    caca: check that the vout is not windowed

commit dced98179c960f42add6c339b9fe9462b303003a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 20:54:38 2014 +0300

    vout: remove dummy vout support (no longer used)

commit 43cc4df758330e034f6e2e0ee143274ce03bea0d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 20:54:20 2014 +0300

    vout: privatize vout_display functions

commit 5cd26ef14f64876a38968ad927cc5b1e81e58838
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 20:06:52 2014 +0300

    gl: do not specify a type for the requested window

commit e83fa9c21ab6da1b584e84907c721bc65d5e7cc6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:41:48 2014 +0300

    vout: remove no longer used VOUT_DISPLAY_GET_OPENGL

commit bc9b4ca6317432090cdb0ec82ac7b3d01a88df88
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:38:23 2014 +0300

    vout: remove redundant fullscreen initialization

commit 80099418383178d26030ee461026d325a76a0db1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:37:52 2014 +0300

    vout: set fullscreen mode window straight away

commit 462500e5dad38c3dab8f371e7f74d9ec2fc63845
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:26:16 2014 +0300

    vsxu: use vlc_gl_surface_* helpers
    
    This is untested because vsxu is neither in contribs nor in my distro.

commit 2406769a419abdf5cbc2ec84b5e5d27bf7151aec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:14:57 2014 +0300

    projectM: use vlc_gl_surface_* helpers

commit bf689cab7cdac70ea59fc86155194c2200bb12b1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:08:55 2014 +0300

    projectM: remove redundant vlc_savecancel()

commit 2b8731885224a910a7e07e9ec846c869f869b94c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 22:46:15 2014 +0300

    glspectrum: use vlc_gl_surface_* helpers

commit 39f52871791f36d28c48750c0793358c9d1077e0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 22:44:00 2014 +0300

    vout: add helpers for OpenGL context without video output

commit 9ad0b1735ec1e81578ab1807501758616c0b6777
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 19:42:46 2014 +0300

    vout: remove unreachable GET_OPENGL controls
    
    This control is only useful if the video output is called "opengl".

commit e623f83cf2da21c58bd4488747d15c39fbf77ce9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 19:39:59 2014 +0300

    vout: remove unimplemented GET_OPENGL controls

commit d24ad5fcddbd53e37124ca68c2b8bb677a1656fc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 23:50:58 2014 +0300

    vout: remove dead fullscreen code in display plugins

commit cf5332b7515b09327e535ca56685556c07925afa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 19:37:59 2014 +0300

    vout: set fullscreen directly on window rather than display

commit 5da03f41100b33779ab2b23a8e6012dfae28ce56
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 18:31:29 2014 +0300

    vout: remove duplicated on-top and wallpaper variables creation

commit 3952212c463b810d50e95ad93f33ad9a1c2e2cef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 23:50:21 2014 +0300

    vout: remove display-level window state except on Windows and OS/2

commit 6444fb21ac5168fc2307e68cec22de63ecf33f28
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 19:15:14 2014 +0300

    vout: eliminate dead window state code

commit 8ae8abfe82b730d71413462f1c633de0b852f7ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 19:08:46 2014 +0300

    vout: pass window state control directly to the window

commit ef6353b63bd79a05b5a17bd54058a01747669186
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 18:28:17 2014 +0300

    vout: initialize window state (above or below) straight away

commit 27ecaf3ab562ccfe5b54c17414b8c89cad27548f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 19:06:01 2014 +0300

    vout: privatize vout_SetWindowState()

commit a7cf217db750e4bc7fe5c317ffd163599580abc4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 18:55:05 2014 +0300

    ios: remove incorrect handling of window state change
    
    The parameter is not "const vout_display_cfg_t *". This could not work.

commit 3ab859dbdf2dd21d6cc28571319e587d8bc6ad04
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 18:29:35 2014 +0300

    vout: remove is_forced parameter in display size change control

commit fa2a49e0fc55c9b24e4ce53557a0ce8a00dd0b44
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 18:17:51 2014 +0300

    Linux FB: remove stub controls

commit 6a41302d155f9df763906cb69271b5c057d06038
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 18:16:26 2014 +0300

    DirectFB: remove stub controls

commit 22798cabf442732a1483db17cba88cc7670dd941
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 18:14:56 2014 +0300

    caca: remove dummy resize code
    
    Resizing is handled via the Refresh() function - only.

commit 6d62ce573b8978ce81e9a2cc648a66791db3816c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 18:03:27 2014 +0300

    vout: request resize directly from the window rather than display

commit 07ed042d3965b5720c66787e8968ab7c931e3125
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 16:25:02 2014 +0300

    XCB: remove display-level close event

commit 79ccb3a8eba89f3650e36adbbd6ddc28df1e7049
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 16:24:54 2014 +0300

    XCB/window: implement close event

commit 06aedfd00d9474a654bd9faad36e2799b527ac6a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 16:23:17 2014 +0300

    window: dispatch the close event to the vout thread

commit 1d3367a4e131783e151bd1445490a80bb451bc9c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 16:17:49 2014 +0300

    window: define close event

commit 2669fb9b817537b0be5faf9e93ff7a0b4dc83880
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 15:45:20 2014 +0300

    Wayland: remove display-level resize events

commit b4190d91c3bc7935d46da01f1a68eabfdcfebd17
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 14:30:25 2014 +0300

    XCB: remove display-level resize events

commit 5ddebbf96cc5b1f249329e4793b167762f65caa9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 16:05:04 2014 +0300

    Qt: emit video window resize events

commit b5087f21a148a2302ce9e50fa9dd87d8c1853b78
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 15:42:36 2014 +0300

    Wayland/shell: emit window size events

commit 908acfe2165b7293a204cbcb638c65cb7c8add48
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 14:17:56 2014 +0300

    XCB/window: catch resize events

commit 787a60ad75896b8bee1c24eb1e4708a8df017971
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 12:38:30 2014 +0300

    vout: dispatch window events to the display events handler

commit fad21f3c668db1df9d85e950d17a7d23c99a1c0b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 13:04:21 2014 +0300

    vout: remove no longer used display size event parameter

commit bcc9572b79d1d0a7d4aa392a5c7f1d656d8a244d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 12:53:46 2014 +0300

    vout: save previous display size regardless of the fullscreen flag
    
    This is simpler and is also more robust. The display no longer needs to
    know whether it is fullscreen or not when reporting the size.
    
    This should fix bugs whereby leaving fullscreen forces the window to be
    maximized. On the other hand, it will fail if the windowing system
    automatically resize a fullscreen window (due to changing view port).

commit e9a3dca66588a2daf41c2061c835b4f32513ead5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 11:12:40 2014 +0300

    vout: add window owner structure and resize event

commit e0b809180e3f2984e0e9d71aaa19b3eda70e4ab8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 22:28:32 2014 +0300

    yuv: remove stub controls

commit 9c9f912bd3574865eb831116cf43ecccd188db41
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 22:28:22 2014 +0300

    vmem: remove stub controls

commit 87c497194a36c4483f3107e3f1be436a63ac462d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 22:28:05 2014 +0300

    DeckLink: remove stub controls

commit 2f460392f0bf31114ae81a71adc2bb28c54235e2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 20:16:51 2014 +0300

    vout: create the window just once at startup
    
    This enables recycling the window when multiple window types are
    involved. and avoids visual glitches.

commit 8e57077570da00821ea6092901e4b9f5e30701e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 19:54:20 2014 +0300

    vout: remove a tautology and simplify

commit de8d85556359d29ec409e06d58f5c2885d6df803
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 18:02:03 2014 +0300

    yuv: destroy the vout window if any

commit 296befba06da57cc74dadf925077f9a11f48a297
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 18:01:39 2014 +0300

    vmem: destroy the vout window if any

commit 774f6b6a677139e353645b35f8dbad5685a39d73
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 18:01:26 2014 +0300

    vdummy: destroy the vout window if any

commit f56d33ed1664db86aeff2580b66291080c467184
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 20:38:48 2014 +0300

    Direct3D: destroy the window if any when in desktop wall paper mode

commit 75831244d8c6941d46e2db6c13d7503dfd9b005a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 18:01:09 2014 +0300

    decklink: destroy the vout window if any

commit 0ec926a33c88ddaf66955cbb0faaa8c6ab8b319e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 18:00:31 2014 +0300

    android: check that the vout is not windowed

commit 6bf3a80f7551f07187d8435f7d4d27e805d528ce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 14 22:29:56 2014 +0300

    vout: add vout_display_IsWindowed() helper

commit 4bf20dd9acc9b9780a02934ba40a99583acac0ac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 17:45:19 2014 +0300

    vout: remove unused and incomplete support for multiple windows

commit 2ebff44437759dcd049880a39fcee8a6b0bc2092
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 17:40:16 2014 +0300

    vout: simplify window allocation following splitter separation

commit f7314b4abee66be80dd52d0b2351a668ae1f1309
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 17:23:47 2014 +0300

    vout: inline vout_NewDisplayWindow into SplitterNewWindow and simplify

commit ba1d85d5d0b83ba5fbb98ebeb01992821e23a641
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:38:35 2014 +0300

    vout: remove unused window position hint

commit 8f81a4a256330a8df693df0af57ea02b881ee588
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:54:39 2014 +0300

    msw: small code factor

commit e260f543420f768a5a88486f0920ba19cff944bb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:52:44 2014 +0300

    msw: remove nul constant

commit fb255910e0fec094d49d2118efbeb6b15cacd01c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:52:34 2014 +0300

    msw: cosmetic

commit 1e8170454bbf691b97e1c45b6444181e9fb0932f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:41:55 2014 +0300

    vout: remove unused x/y settings in window configuration

commit 0ad998bd433c896addb4f6f6fb3812416ae9b033
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:37:54 2014 +0300

    XCB/window: pass zero for window coordinates
    
    All window manager override the parameters anyway. This never worked.

commit 643f98a114525241dc3b1acc63e3bb75ca85ac1e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:33:34 2014 +0300

    msw: shrink events data structure

commit 7876f294dad70283d25e7a4f1ef04a95c768200f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:21:08 2014 +0300

    qt4: remove unused x, y parameters for video widget request

commit 724620213239aba12dad94458e0f3a626e42285c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:14:36 2014 +0300

    vout: remove no-op

commit 9302f44ffc47c81c4e1c416fab7253bd7ec455ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:08:45 2014 +0300

    vout: remove useless video-{x,y} variables

commit bab5ed2b1acdde49eb0e34cce8e1cae8286f8d37
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 21:38:57 2014 +0300

    vout: remove unused parameters in vout_*DisplayWindow()

commit 74770b699521e9c13b857b1371c6f486a9b5abf4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 19:42:24 2014 +0300

    drawable: automatically select the plugin if --drawable-hwnd is passed
    
    (same priority as XCB embedded window)

commit e42e888a68b41c2c0b0dd9e29a097e7a3e2c5a05
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 19:38:41 2014 +0300

    window: merge all capabilities as one
    
    This is so that a window of "any" type can be requested rather than
    only a window of a specific type.

commit 681329fa1225591488f3cf17f583ce45324278bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 19:34:14 2014 +0300

    window: check and set window type in all plugins

commit 53b1f0600ec223109dac75467844a751b8da412d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 19:25:03 2014 +0300

    window: remove useless initializers

commit 9bf41d6aeb35a121ce9c96adb21852ca69eb106b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 16 20:20:12 2014 +0300

    avcodec: fix double free on error

commit c066749142b2cd25667613059fb19375a4a44f1a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 16 17:28:56 2014 +0200

    Ant: replace with a better mirror

commit e5cd171227b1982dc70cc97703622cbef82ead29
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 15 12:09:36 2014 +0200

    Contribs: update gpg-error to 1.16
    
    Close #12400

commit 9d2170bee16b743e8e5a56d690457c4b5c397835
Author: Julian Scheel <julian@jusst.de>
Date:   Wed Oct 15 10:23:15 2014 +0200

    mmal/vout: Drop DISPLAY_FILLED handler
    
    This handler was a no-op and does not make sense in a fullscreen only
    renderer, so drop the handler.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6837ebd2743e2301cd0373acdc88e2fa7e3bbcbe
Author: Julian Scheel <julian@jusst.de>
Date:   Wed Oct 15 10:23:14 2014 +0200

    mmal/vout: Fix abuse of vd->fmt
    
    The fmt in vout_display_t is not allowed to be written to after opening the
    plugin without invalidating all the pictures. Instead of doing invalid writes
    to vd->fmt, just make use of vd->source and event arguments directly which
    shall hold correct values.
    As framerate changes are not announced by the core we need to add a local
    storage for comparion now as vd->fmt must not be used for it.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c5ad5cde17043c5f77e9bb39346ef3494b6ad703
Author: Julian Scheel <julian@jusst.de>
Date:   Wed Oct 15 10:05:30 2014 +0200

    mmal/vout: Support native interlaced modes
    
    Add a new flag, which can be used to let mmal select ahdmi mode which matches
    the video size and interlacing type. Using this with a proper screen one can
    playback for example 1080i content using the screens deinterlacing filters.
    The videocore is configured to scan out picture on odd/even field only
    according to the top_field_first mode of the video in case of interlaced
    video. For progressive video a progressive mode is selected.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a5930aa11b13ac2791d7c8c1b7d67a3e6e8dfde6
Author: Julian Scheel <julian@jusst.de>
Date:   Wed Oct 15 10:05:29 2014 +0200

    mmal/vout: Optimise struct packing
    
    Sort vout_sys_t struct members by size to optimize packing.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 22699594b177e3420d5447b59cf03f534f9a5a58
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Tue Oct 14 20:03:38 2014 +0000

    extras/tools: check for ant when bootstrapping
    
    This was accidentally left out of b3050f68b407fe150fa3944ccee62293efba6407.
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>

commit 53cdf004842566c0d0c7c91f46cf0b8f7990185a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 14 19:28:24 2014 +0200

    demux: mp4: add missing samsung atoms

commit 408710f06c1deebbf55c201fb0b10b522cc2b824
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 14 19:27:55 2014 +0200

    demux: libmp4: add missing subtitles mp4s atom rule

commit 01119bb33ec7d7e328e4df403b6aeeb70fa787d9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 14 19:09:21 2014 +0200

    demux: mp4: fix meta root node lookup

commit 111e49393ced2fa7e4e4c2d6a2860803f30f7ab0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 14 18:24:31 2014 +0200

    demux: libmp4: add generic string reading function

commit 602ef2d0a04724c1777c25f05ff95e5df8a27ce1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:27:46 2014 +0300

    vsxu: fix mutex leaks

commit ffb2a8b72bddb577a056089731c009560625429a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 19:04:16 2014 +0300

    projectM: fix mutex leak

commit 107af6654c8e3e6d7312fe305172af2d6d308aeb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 13 21:05:13 2014 +0300

    Cosmetic fix

commit 6e2f49095619d027ba99020076b0aedc6cde7afe
Author: Thomas Guillem <tom@gllm.fr>
Date:   Tue Oct 14 11:35:57 2014 +0200

    mediacodec: exception in getCapabilitiesForType is not critical.
    
    fix mediacodec with android-L on Nexus 7v2.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 05644c1e54548cc4ac0b57b70000d2e5fe7d5c16
Author: Thomas Guillem <tom@gllm.fr>
Date:   Tue Oct 14 11:35:56 2014 +0200

    mediacodec: fix jni leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e32abb170e6c5ee96247f56ba3494bb0818b574
Author: Thomas Guillem <tom@gllm.fr>
Date:   Tue Oct 14 12:22:04 2014 +0200

    mediacodec: fix comparison between signed and unsigned warning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d26fefcfa700d3a9c1b2c26f30a1667e72ac381b
Author: Thomas Guillem <tom@gllm.fr>
Date:   Tue Oct 14 11:35:55 2014 +0200

    android/jni: use a libvlcjni function to attach/detach java thread
    
    Fix ART warning about java thread attached without a name.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7123af02757b072591a8d8ddffcdc270b4f94047
Author: Thomas Guillem <tom@gllm.fr>
Date:   Tue Oct 14 12:22:03 2014 +0200

    mediacodec: fix unused variable warning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1e913466fb03169e6235f09a8cfae1910b89e3e6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 13 23:36:31 2014 +0200

    demux: libmp4: reorder & fix ilst/udta rules

commit 77b824231c2b844bf76d02f2f66bb6bce724d00e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 13 22:57:17 2014 +0200

    demux: libmp4: enforce handler check on meta atom

commit 1e1dbbe337ec66d499f4ffc50643c080ddc850b4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Sep 27 17:46:12 2014 +0200

    demux: mp4: split es setup
    
    Split es setup so we only call dedicated setup per handler.

commit da609fc9036e06f1031d9d595caeaeb8fa7114ae
Author: Thomas Guillem <tom@gllm.fr>
Date:   Mon Oct 13 17:28:51 2014 +0200

    omxil: add VP8 and VP9 in format_table
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 83c56e1b57f5692e73bcf26400544980b437d2cb
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 10 09:45:57 2014 +0200

    android: fix monotonic cond_timedwait on newer versions
    
    android-L drops support for pthread_cond_timedwait_monotonic_np and adds
    support for pthread_condattr_setclock. So, use the good function depending on
    configure detection.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 417b6eb0f09dc73984a7dba2aa42c9d8683d5294
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 17:53:45 2014 +0200

    Win32: prefer the static libraries when creating the dlls
    
    This should avoid the issues of packaging libgcc_s_sjlj-1.dll,
    libwinpthread-1.dll and the like.

commit 748c53a3ca3faa45f000b6a62b9ace851b32f05e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 21:28:49 2014 +0300

    var_GetAndSet() can fail
    
    Return 0 as usual, rather than undefined result.

commit 863f851833eab0c4a2b5de354bbf50270a5d8d2b
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Oct 12 14:59:26 2014 +0900

    Add -avoid-version to LDFLAGS of vlc and vlccore on OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 5ff089b5119b0fd2fc8a0b037e93fb2e0910750f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 18:25:26 2014 +0200

    Chromecast: fix compilation for INT64_C definition

commit a0a88e7913ec102122061e73ddc95e466f692b7a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 17:38:26 2014 +0200

    Win32 configure: use a quoted $@ instead of $*

commit 8393fa5bdc1232d18604cc39c4a9792570b2ba47
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 17:37:45 2014 +0200

    Win32: remove dead cygwin options

commit af3eeea5af09938d1f90c46f048137156c531327
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 12 16:30:12 2014 +0200

    extras: mirror ragel on v.o since upstream server is broken

commit d65920ce6607fb24a22e7645b5fd1d03e9e5cfdc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 12 16:16:40 2014 +0200

    ios: require iOS 6.1 since 5.1 is no longer support by current Xcode releases

commit 9cf6c25796eb2decbe73b612bc4b6521af099093
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 13:20:29 2014 +0300

    chromecast: remove useless BUILT_SOURCES

commit 6f84bf8a50698ffa653b81895abb1080acedfb76
Author: Uwe L. Korn <uwelk@xhochy.com>
Date:   Sat Oct 11 22:05:41 2014 +0100

    protoc: %.pb.h is also genterated on a call
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 7bd11e51ac8dee7c27faff7c1c406164f2943a94
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Oct 11 21:42:10 2014 -0400

    contrib: speexdsp: disable examples

commit 88ab8def21e117704335a800cfbe5e08baf1edd7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 20:46:18 2014 +0300

    configure: fix SFTP plugin name

commit fb63f1cc675c5302628ad2fec033ac2472107085
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 17:06:53 2014 +0300

    vout: reset A.R. and zoom to sane defaults if unset (fixes #8184)

commit 30fe07ba7b0d8d7f50239935bb9ade942fddb44d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 14:34:07 2014 +0200

    Contrib: update protobuf to 2.6.0

commit 83047b67698155a2b6d796b3f8ac3b372e289976
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 14:12:41 2014 +0200

    Tools: update protoc to 2.6.0

commit 86796e2a57adcf5daea9d182c4378e49b40a7f47
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 14:37:52 2014 +0300

    lib: disable decoding hardware acceleration with vmem
    
    This ensures that subpictures blending works, and avoids copying back
    video frames from GPU to CPU. For proper hardware acceleration,
    use libvlc_media_player_set_xwindow() instead.

commit 3b13a01aaa734990d3dec5b5ac9f837983b7958c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 11 13:09:11 2014 +0200

    Update NEWS and MODULES_LIST

commit 1b943fd75ab9bfb68b460b2300ffd5c4851f0440
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 10 06:48:40 2014 +0000

    contrib: fix cross-compile for x86_64
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 34fef72dab6f7718370dbe27a66f320362475198
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 10:36:40 2014 +0300

    configure: fix typo in rcc code (fixes #12384)
    
    Pointed-out-by: Paweł Stankowski

commit e8ab8fb6b40d315632da311de7a2e03002a528c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 9 22:30:44 2014 +0300

    msw: fix format string

commit 511c7360308aa08f2182489f8491213ebe066e6d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 10:12:33 2014 +0300

    hds: fix format string

commit 0d881ef1d5c711e96236c97aa1e8d196fda7e9d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 10:12:24 2014 +0300

    mp4: fix format string

commit dbdd63484c7e8bed853e4f2b398c906df181be3a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 10:12:10 2014 +0300

    mft: fix format string

commit fd1e287a11d678a8e131d59979e84fb4486c0c57
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Oct 11 00:09:21 2014 -0400

    png: encoder: encode visible lines, but use pitch for offset

commit 47431e192bbaefe723c7b6915a54f3ab4ca440e8
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Oct 10 22:32:13 2014 -0400

    png: encoder: really fix row offset calculation

commit 932e8a8b2f941cb399fdd491bb13feb9e42ac021
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 10 23:04:24 2014 +0300

    sout_standard: fix inverted logic
    
    Regression from c9d33a6123bb499cce31b4cf469ae40e8c9e9b6c.

commit 072f409f8625c8eae93937db0a6e6e9a99f81a87
Author: Julian Scheel <julian@jusst.de>
Date:   Fri Oct 10 11:19:57 2014 +0200

    codec/zvbi: Do not follow dead color-links
    
    If a color-key is requested check the stored nav-link to be in the valid page
    range before following it. This avoids unexpected disappearance of the
    teletext overlay if a color-link does not exist or is not yet loaded.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 47012982d20cf537fc710edd14c9c9c4183d0a19
Author: Julian Scheel <julian@jusst.de>
Date:   Fri Oct 10 11:21:07 2014 +0200

    codec/zvbi: Only reset subpicture in text mode
    
    The subpicture reset, as stated in the comment, is only required when
    rendering text-subtitles. In fact it causes an invalid image to be generated
    and possibly output in non-text mode. Hence disable the picture recreation for
    non-text mode.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f7034507a3ed7255e9a5b98a3f2c923b3e05c6a4
Author: Julian Scheel <julian@jusst.de>
Date:   Fri Oct 10 10:39:14 2014 +0200

    mmal/vout: Use framerate from pictures
    
    The framerate of pictures might change without a change of the general input
    format information. So to ensure that we always handle the correct refreshrate
    we compare the refreshrate of each picture with the currently configured one.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 745128360ab7b8190bab5fe9857ae6da3768f5ee
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 10 10:15:06 2014 +0200

    contrib/bootstrap: add arm64 for android
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9cf85e3ab92718d8a9ec661cd671b7e7a4289d58
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 10 09:44:18 2014 +0200

    contrib: speexdsp: disable neon on aarch64
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c99b7dc8ef3f333f2f6f8025c55bd1b6882f1576
Author: Julian Scheel <julian@jusst.de>
Date:   Fri Oct 10 10:40:08 2014 +0200

    mmal/codec: Increase verbosity for interlaced detection
    
    Makes debugging of badly deinterlaced content a bit easier.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f22a823402de340e1be86bb0dfbe0254a2871de5
Author: Julian Scheel <julian@jusst.de>
Date:   Fri Oct 10 10:40:07 2014 +0200

    mmal/codec: Fix top_field_first flagging
    
    The logic setting the top_field_first flag was broken as it evaluated the
    actual mode in case of progressive instead of in interlaced case.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 16a51ea7647b568d5b4d4580106127cfe315ad33
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 9 23:56:16 2014 +0200

    demux: libmp4: fix heap write ofw in chan (fix #12371)

commit 54bbfac289eeeed9ba044bf9f9e1ee43e5642c78
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 9 23:46:35 2014 +0200

    demux: mp4: fix heap read ofw in extra bytes

commit 56e71fe572f9e97c8deb3cffdebdd0f0ea8979d0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 9 20:29:54 2014 +0200

    demux: asf: fix heap buffer write ofw in priorities (fix #12363)

commit e3aa96b9fe8660952cfe83986c5dde0bd3f1e267
Author: Thomas Guillem <tom@gllm.fr>
Date:   Thu Oct 9 18:45:23 2014 +0200

    contrib: fix cross-compile for aarch64
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit e8ba575485b1365edc28a94771b032afbbdb5c97
Author: Thomas Guillem <tom@gllm.fr>
Date:   Wed Oct 8 18:26:07 2014 +0200

    android: fix nanf detection
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit dc1c7516c1a9172b56787fdbfa002082c7d97613
Author: Thomas Guillem <tom@gllm.fr>
Date:   Thu Oct 9 18:45:20 2014 +0200

    contrib/bootstrap: add x86_64 for android
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0aeb638b7fcdf9bb06787b2e8771d6bf803cd10f
Author: Thomas Guillem <tom@gllm.fr>
Date:   Thu Oct 9 18:45:19 2014 +0200

    contrib: don't hardcode android api
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 21cfe456ed48b7c1592380e16d6c50a390d2c05c
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Oct 9 16:52:14 2014 +0200

    mmal/codec: Set progressive flag on frames
    
    Query the interlace type from the mmal decoder on format change and pass it
    through to vlc_pictures.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8a0493add9682187192cc3dab514294ad0b9f541
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 9 16:26:20 2014 +0200

    demux: mp4: fix last chunk size computation (fix #12362)

commit d1bdd44b1902f62453f6982e1ee09a5b243f25ee
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 9 14:44:36 2014 +0200

    demux: libmp4: fix heap buffer write ofw in chpl (fix #12366)

commit 9ccd69b27f431d6f0600e09dab1f78b0aad26e1e
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Oct 9 14:49:40 2014 +0200

    mmal/vout: Use current pictures format for rate matching
    
    Instead of using the video_format which was set on output creation, always
    check the refreshrate against the current pictures frame duration.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 54f93974a92c55c4266578779a9e3e143969fc70
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Oct 9 14:49:39 2014 +0200

    mmal: Fix buffer size computation
    
    The buffer sizes in opaque case were computed by a mixture of hardcoded values
    and mmal defaults. This caused breakage due to changes of the default values
    in recent mmal versions. To avoid this in the future, the buffer sizes are
    completely hardcoded now. As we have a shared header for mmal now, move the
    required define for shared values into that header.
    Using this new computation we can reduce the buffer size for opaque case by 2,
    which saves some memory.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 04e9ee96722d3b23e2b78d27ef236ec34558b3b8
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Oct 9 12:08:57 2014 +0200

    mmal/vout: Apply phase offset to match vsync period
    
    As the latency target alone is not ensuring that we start with a sane phase
    shift between vsync and drawing, we read back the phase shift provided by the
    mmal rendering statistics and use it to compute a phase offset which we apply
    to the picture date, so that the core shifts the display call accordingly.
    Doing this frequently allows us to resync if a distortion or display reset
    caused the offset to break.
    This is only enabled if mmal-adjust-refreshrate is enabled, because the whole
    vsync synchronisation makes only sense if display and videorate match.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 28c484c277369dc14e2bffd2bee846765839e654
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Oct 9 12:08:56 2014 +0200

    mmal/vout: Configure latency target
    
    The mmal video_render element allows to configure a latency target. Although
    the parameter is named AUDIO_LATENCY_TARGET it is not actually related to
    audio but synchronizes frame draws with hdmi vsync. It tries to match the hdmi
    vsync rate to the picture render rate by slightly varying the hdmi pixel
    clock. This makes only sense if the actual display refresh rate matches the
    video frame rate, so that only minimal drift compensation is required. Thus
    enable it only when mmal-adjust-refreshrate is activated.
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 563660302175edd4d00a2ef96993c7021253c72b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 9 00:01:37 2014 +0200

    demux: libmp4: add quicktime mp4a/wave/mp4a rule

commit 83f651af76589972f030d2e63d17c55e93f01ba1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 8 23:56:23 2014 +0200

    demux: asfpacket: fix use after free (fix #12361)

commit b3664586b7db3bd94fad7dd12b9cad3633eaef1a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 8 19:13:25 2014 +0200

    demux: ogg: fix use after free (fix #12360)

commit dde5f4aff32b81b6cace0a88a3a718147d0f3bf4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 8 18:48:44 2014 +0200

    demux: libavi: fix heap write ofw

commit cd87a5a9482adef5c679f80fc3a75eccbd7c6970
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 8 17:59:23 2014 +0200

    demux: livavi: fix heap buffer ofw in strf parsing (fix #12359)

commit 3979f15fc235f576f5ed4278ffe06eab53425bf4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 8 17:09:44 2014 +0200

    demux: tta: fix heap buffer ofw (fix #12357)

commit 929970aecfc91725ba243953ccb5197fa797c0a8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 8 17:06:28 2014 +0200

    demux: mp4: fix heap buffer ofw with zero chunk (fix #12356)

commit 2caa3ce4d4a50da0796d0e2bb7feebb53aed8f8f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 8 15:17:55 2014 +0200

    demux: libmp4: fix heap overflow in stdp debug code (fix #12358)

commit 034ce48d5f028549c892c083f27b1c3c6c5df8da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 7 18:12:13 2014 +0200

    sout: chromecast: close connection on load failure
    
    only msgClose won't stop listening, so we need to
    flag as CONN_DEAD as well so it will send the close
    message and exit thread

commit 919850d1d07c568e68300ad2260fa9ea202cf569
Author: Thomas Guillem <tom@gllm.fr>
Date:   Wed Oct 8 18:30:27 2014 +0200

    fix gles2 plugin not being built
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9f8db45454ea75929f755ad48ccccec9c41b919d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 8 12:59:11 2014 +0200

    Protobuf: don't compile protoc in Xcompilation

commit c07175b094b93cf868104dfc9af37b5a2355f71c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 8 12:58:06 2014 +0200

    Extras: add protoc

commit d0a6d771c0d9b9a17a0de3bc6d4f8889581cf12b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 8 12:20:35 2014 +0200

    Chromecast: fix distcheck

commit 98682b66af497c2a038011aae227fbd13511167a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 7 23:21:35 2014 +0300

    include: fix external compilation (fixes #12355)

commit 1a4dc0bd85d94c9ad0b50268aed009840bf2d30e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 7 23:16:11 2014 +0300

    include: remove restrict keyword (fixes #12354)
    
    This is necessary for compatibility with C++. The keyword is only
    meaningful in definition, not in declaration anyway.

commit eb1c0924ad39f95a4f5e1edf06807be924a5bf67
Author: Antti Ajanki <antti.ajanki@iki.fi>
Date:   Mon Oct 6 16:12:57 2014 +0000

    hds: Ignore sentinel value at the end of the fragment table
    
    generate_new_chunk() never proceeds to the last fragment run if the
    sentinel is included.
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>

commit 63c91494921e17541f96c4b311ed791ee3ce21d9
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 7 08:55:03 2014 +0200

    contrib: fix freetype dependencies

commit 4c63aa1192dc4148b8c540b0b7210aa91713505b
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Oct 6 23:08:02 2014 -0400

    contrib: speex: avoid automatically depending on ogg
    
    ogg was still being pulled in as a dependency when cross-compiling, which
    would break certain build configurations.

commit 6500f61ed6f6f8525961fab89d2a69bb0172434a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 6 23:56:31 2014 +0300

    vdpau/deinterlace: set progressive flag on both output pictures

commit 08fce728d5d5c099d9a893b48744d2bb87f2dd9c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 6 18:39:33 2014 +0300

    misc: remove makefile recursion

commit dfc5fb5d2da2916da4ff1f65be5486b21f067c9e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 6 18:33:36 2014 +0300

    misc: remove Modules.am

commit 6148edceff4571654e18f05a37133e2564dca81c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 13 13:11:11 2014 +0300

    vdpau/avcodec: adapt to new libavcodec VDPAU interface

commit d7c76ba92c6ad6e9ee9ee5bb4bb2c3ba7e1d6375
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 6 17:03:27 2014 +0300

    wayland: agree on the name of video_output subdirectory

commit 35738e89a5c76b33ae1af9f3e17273b341cf7322
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Oct 6 15:36:15 2014 +0200

    chromecast: fix TLS connection leak on error
    
    Signed-off-by: Adrien Maglo <magsoft@videolan.org>

commit 86723f349d950f20494723e54959821ae28f2a1f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 6 13:58:06 2014 +0200

    misc: acoustid: fix mbz string copy

commit fe5fe6249b22f139a8302919a2279afbae083fe8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 5 17:35:12 2014 +0200

    demux: mp4: add WMV3/WMA2 in mov support
    
    aka flip4mac format.

commit f103d3834d30d37f7c3c8cc2c968b4b1f7af09c6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 5 20:46:51 2014 +0200

    demux: libmp4: handle ASF atom

commit 88ac075fef11441616a4bbfcb3505fedee6017d1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 1 23:35:39 2014 +0200

    demux: asf: split packet parsing for reuse

commit a61da5b40d25af4fd0417eb3a9a172a92e62c659
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 5 16:22:18 2014 +0200

    demux: asf: stay within track limits

commit 82c395e4be5133f7bf0bae2572403144f1684d7e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 6 11:58:40 2014 +0200

    decklink: fix linking with recent sdk

commit fd4a0ba83493bd91f2adb7b68ae9fb3c3d5fc972
Author: Igor Prokopenkov <cmyk777@gmail.com>
Date:   Fri Oct 3 15:25:24 2014 +0000

    lib: Fire libvlc_MediaListPlayerPlayed at end of playlist
    
    The "libvlc_MediaListPlayerPlayed" event was defined but unused.
    It is now fired when libvlc_media_list_player is played until last item in the playlist
    
    Signed-off-by: Igor Prokopenkov <cmyk777@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6893b7a44af01337e1c6a12b125bb6bbd00437a0
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Fri Oct 3 16:53:43 2014 +0200

    omxil: use convert_hevc_nal_units for hevc
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5e19ce9366866c509ae1d3891a84d6875a6a1173
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Fri Oct 3 16:53:42 2014 +0200

    mediacodec: use convert_hevc_nal_units for hevc
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7b79a086f4b7b60353e9743362d9015c66e15b00
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Fri Oct 3 16:53:41 2014 +0200

    add convert_hevc_nal_units in hevc_nal.c
    
    utility function to convert hvcC extradata to annex b.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 86630a153c39f5eafc8e6557dfb909a5cc828e2b
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Fri Oct 3 16:53:40 2014 +0200

    mediacodec: add hevc mimetype
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a0e7320b4aa233395c851d92cc021f3198f9e8f4
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Fri Oct 3 16:53:39 2014 +0200

    omxil: add hevc in format_table
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2c1940d7d3d103b19ce329697136bc21ab014754
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 5 22:41:51 2014 +0300

    XCB/XVideo: do not fallback to YUYV output for RGB inputs
    
    If the XVideo driver does not provide any RGB image format, then we
    are definitely better off with GLX than XVideo. Consider:
     - GLX supports proper subpicture blending - not XVideo,
     - GLX does not need chroma conversion - XVideo does in this case.
    
    This change makes no difference if the XVideo driver supports RGB.

commit 47d7b5c0537f16a99ee224c2c75f4f41dd18415d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 5 22:38:44 2014 +0300

    XCB/XVideo: reject hardware surfaces for the time being
    
    The core cannot blend subpictures to hardware surfaces. In principles,
    blending could be performed post chroma conversion, but this is not
    supported by the video output wrapper so far.

commit 3c0a06610864470deb8d63864fed25e26ad85793
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 5 12:41:58 2014 +0300

    wayland/shm: reorient the video in the compositor

commit e73f49e50760f89f77bf792549eb63babf30be22
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 5 13:19:20 2014 +0300

    wayland/shell: request compositor version 2 if available
    
    This is required for wl_surface.set_buffer_transform.

commit a2c3a8889bd0d8ed1ce495346694283fcb460602
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 5 10:59:03 2014 +0300

    wayland/shm: use wl_scaler for A/R, crop and zoom (where available)
    
    Note: The wl_scaler object is retained after Open() even though it is
    not currently used afterwards. It will probably be needed for scaling
    subpictures going forward.

commit 7013e4eb8e40e15dacb6c829a950ec638e6f510b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 10:20:05 2014 +0300

    wayland: import the scaler protocol definitions

commit 920a33915ff2e140a19bd70ede652580d3932689
Author: Damien Erambert <damien.erambert@me.com>
Date:   Sat Oct 4 23:30:36 2014 +0200

    macosx: fix music sidebar icon
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 99613a827f33078bc30b32c816fa3db1d77576da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 22:44:04 2014 +0300

    wayland/shm: no need to retain the shm_pool

commit 23e13d55684bc1eed1a14e43e7e24f79c35c8130
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 19:08:53 2014 +0300

    wayland/shm: unmap picture buffers upon picture destruction

commit 85ee33b27eec1817708256b09bcbf63d56505086
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 18:48:10 2014 +0300

    wayland/shm: create a new file temporary file always, simplify

commit a65353385f485a4d2d36bcaad8ca3823a4b7880c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 18:38:28 2014 +0300

    wayland screenshooter: add missing unlink()

commit 62f53d27901dadace1ff18579f917fd11c6c0297
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 4 11:38:48 2014 +0300

    mux ts: indent fix

commit 2170013590c25fa12939f879e77c10cb7b7b2941
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 4 11:37:28 2014 +0300

    mux ts: Don't do extra copy on every aac packet
    
    if Realloc fails, we are anyway screwed and most of the code doesn't
    chec check for Realloc failures even in this module.

commit f6da7e32f09d9671e92d90d98b7a2c51c28290b5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 16:29:59 2014 +0300

    vdpau: preallocate pool of video surfaces
    
    That should help failing safe to software decoding if the graphic card
    has too little free memory. Old cards with only 256 MiB are commonly
    affected by that problem.

commit 5bf47e957dfb794dfb96acb9c928fc8d87205d35
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 16:04:44 2014 +0300

    vdpau: fix VRAM leak on error

commit 41bb54f2ae801b8ef16488eeca5597e032025069
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 12:42:33 2014 +0300

    vdpau: use reference frames count from libavcodec

commit 8c32482683f4e2ac0f920e10142835766bea599c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 12:19:12 2014 +0300

    vdpau: cosmetic fix

commit 89c0c777d2391cfbcf05ce45b548b61978174919
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 4 11:53:17 2014 +0300

    XCB: factor segment detachment on error

commit 6d3bc51a96769aca7cdfb0e6f73443fcd2ef6101
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 3 20:40:16 2014 +0300

    lua: write English

commit 6e800f09423c6e9dc28d2fef9296ae4b25bddb26
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 21:34:46 2014 +0300

    avformat: always insert a track in the table (fixes #11931)
    
    This seems necessary to maintain the mapping of libav's packet stream
    index to the VLC plugin's tracks table offset.

commit 97ef3628415ece0ee2931e70cab424d5446eb64b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 21:33:01 2014 +0300

    avcodec: map AV_CODEC_ID_NONE

commit 9de918380db42f41e13c79cbc5b5ca2801694e92
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 3 15:38:59 2014 +0200

    demux: libmp4: fix reading WMA2 atom

commit 242d1c2e0b820fe1fc793fab156b444b7a16162e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 3 14:17:59 2014 +0200

    acoustid: use memcpy (cid #1062538)
    
    strncpy triggers warning because the
    struct is nonzero terminated.

commit 243e0951b5c92176b07bfacd5e81ef056090bb06
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 3 13:29:27 2014 +0200

    Tools: Fix SF URLs

commit a9ac943471c67fb3416f21246e389decda12cc38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 21:41:40 2014 +0300

    avcodec: fix double free

commit 8ac5cc821f0a976c32885d56d33d2e358f776414
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 21:39:35 2014 +0300

    avformat: fix signed overflow

commit 0361af77c96214ce04257fe843e6bf31a05f4ad4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 21:33:21 2014 +0300

    avformat: check memory allocations

commit 7efd96ad03001520ebe6132f7d6d057df0f4436c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 20:57:15 2014 +0300

    chromecast: do not build unbuildable sources

commit cf33018ec8a5ae02c3575382262392077d866acc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 20:56:26 2014 +0300

    configure: really fix -ldl lookup

commit 33bf55bb71848df64989395d96348acd12d91120
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 2 19:49:01 2014 +0200

    sout: chromecast: ues different wait times
    
    There's no reason to wait 6 sec for a reply
    to a spontaneous ping. The reply has no
    relation with the 5 sec keepalive ping sent from
    the receiver.

commit 412898bbd864c5d9379d74b67628d991e3f81ed8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 20:49:49 2014 +0300

    block: fix invalid memory access in block_Fifo(Count|Size)
    
    The function remain fundamentally ToCToU-prone, but at least they now
    follow the memory model.

commit 318c24cbdbdd21ebfb3678c68853e3e9726560c0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 20:44:33 2014 +0300

    modules: fix race in module_Map()

commit 678a61d1b9420462da2115763dfb284cc12074b8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 20:44:13 2014 +0300

    bluray: fix compilation as C11

commit 53779b3cbab139a53c4ede9f3b16a122bd79c0a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 20:43:41 2014 +0300

    configure: fix -ldl detection with the ThreadSanitizer

commit 640b974d52785d5ae215c1cfeb46fdd5bc085231
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 2 17:42:32 2014 +0200

    macosx: avoid unnecessarily early loading of open panel nib
    
    Loading the open nib can take some significant time, due to audio/
    video devices enumeration.
    
    refs #12123

commit 91d08e51fd0c950633858e3d860c709cb31cd982
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 2 17:14:33 2014 +0200

    sout: chromecast: close tls connection on error

commit 8b38a343f53ed220c1c2286cbe2fbc7f07cd9da9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 2 15:24:31 2014 +0200

    sout: chromecast: check app presence on status
    
    Stop sending and disconnect when app has changed.

commit 2d319620b1d244454a6445d57e9f0420909e5815
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 2 15:33:41 2014 +0200

    sout: chromecast: request status on timeout

commit 5155035d54c900e0471014475df8d272af8d7632
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 2 15:14:05 2014 +0200

    sout: chromecast: tag falls-through

commit e9ea6c7bbf89af396642c954dae7e4528788aef8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 2 00:58:24 2014 +0200

    sout: chromecast: handle tcp close messages

commit fd67a259eadaef3b25dc1ca50b8b09fd971a93fe
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 2 13:53:51 2014 +0200

    codec: libass: show dialog for fontconfig cache recreation on osx
    
    close #12014

commit 5cb2c764351ba8d8beab1f13208d18313e4e4406
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 2 13:52:44 2014 +0200

    Makefile.am: Add new macosx ressources

commit 0d7d2cb4b1b98988f2e4b15af2af0f81b8253080
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 2 13:22:52 2014 +0200

    macosx: also cache old native fullscreen images and move to better place

commit 0b001a0763aa2e34f6abd921184ce58d56947421
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 2 12:59:15 2014 +0200

    macosx: implement native fullscreen behaviour for yosemite titlebar

commit 5647339c6b8631f749b6c102da90715e04ab82a4
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 2 11:29:22 2014 +0200

    macosx: simplify loading of titlebar graphics and integrate yosemite icons

commit 42ee1b6ebb4bdf6b5092e824a95b65839ba018ef
Author: Damien Erambert <damien.erambert@me.com>
Date:   Wed Oct 1 23:55:49 2014 +0200

    macosx: fix yosemite retina graphics for fullscreen button
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 1f027bcb06c8f8d92084af1a584869dbee3039c9
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 1 22:00:26 2014 +0200

    macosx: fix main window top bar by reinstoring graphic

commit 6616504dfb7658f3b394bef2555f92a390e682ed
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 1 21:52:01 2014 +0200

    macosx: add yosemite graphics to project file and use them in code
    
    This also cleans up the images structure inside the project.

commit baf2c19d97b874373480c317174aebf92504b060
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 1 20:03:40 2014 +0200

    macosx: pngcrush new yosemite icons

commit 405614f5422880ecf75072a1ad99ecd201ce4564
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 1 19:58:43 2014 +0200

    macosx: restructure and unify naming of new yosemite icons
    
    Now, new root folders are created for yosemite, with the naming
    scheme mainwindow_yosemite. All icons have the prefix ys-.

commit fe8867d9257075bd8b8866cb1e63a56bbd99aee4
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 1 19:43:52 2014 +0200

    macosx: removed old graphics which are not used anymore
    
    Also renames 4 yosemite graphics to match the existing naming.

commit 45e123f9dadf42220a3844e7152d8d87d8dd0b4c
Author: Damien Erambert <damien.erambert@me.com>
Date:   Sat Aug 23 18:31:55 2014 +0200

    macosx: Added graphics for buttons on Yosemite 10.10
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 2c674d76924785536fef66929b7ddcb08dde585b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 1 16:03:33 2014 +0200

    macosx: add yosemite guard

commit d37f0aa4a34d7499327bb6d95f0e2c370c68b0e5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 28 16:15:58 2013 +0300

    vdpau: remove makefile recursion

commit 76f2664529b2ed59f0b3bdb19a74c88d30942292
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 1 20:27:52 2014 +0300

    video_output: remove makefile recursion

commit 329373a875ff366b565d11f9622eec9441625ad6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 1 20:14:03 2014 +0300

    video_output: finish conversion to Automake syntax

commit 2cab85e8815b2c1589748b30fe55dc8bfb818a1a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 1 23:11:03 2014 +0300

    avcodec: fix pointer aliasing
    
    av_freep() requires a pointer to void *. Nothing else is defined.

commit 4e54f297879ff5f673446c2f4472f90caddd8731
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 1 23:08:59 2014 +0300

    avcodec: avcodec_alloc_frame() requires avcodec_free_frame()

commit ec9c6d8ce52b1547434811eaa1c1160c916f3a55
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 1 19:52:32 2014 +0300

    Move the modules EXTRA_DIST to modules/

commit 63e2f5f198e2328c8f54f8b192d13c85a062f2c9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 1 19:41:32 2014 +0300

    wl_screenshooter: fix Makefile dependencies

commit f83c0330b3b5c392626c486bb83a2ba0b38ad4a8
Author: Damien Erambert <damien.erambert@me.com>
Date:   Sat Aug 23 16:05:53 2014 +0200

    macosx: Fixed size of retina titlebar buttons
    
    Pngcrushed graphics.
    close #11101
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit ce6092e13fad46e834e3808e849ad259678e25b1
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Sep 29 23:34:09 2014 -0400

    ts: don't drop entire audio frame on discontinuity
    
    Refs #11752

commit 51d5f1efb0e77d254d3754c6cf5f6a9856365c52
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 1 13:50:25 2014 +0200

    macosx: correctly hide the fspanel if app resigns active state (close #12277)
    
    awakeFromNib is no longer called on fspanel (as there is no nib anymore), so don't rely on it

commit 2e8a23cf0672a1cedb611402149e655118996427
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Oct 1 11:16:51 2014 +0200

    chromecast: add an experimental sout module that connects to a ChromeCast device and streams using the HTTP access output
    
    Example: vlc input.mp4 --sout="#chromecast{ip=192.168.1.11}"

commit 31d84ce059d18e242efa13fc4918a33b6ff4e313
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Mon Aug 25 17:47:14 2014 +0200

    chromecast: add protobuf file
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1ffac5a961ed48331f5bc67dd68a3050e32e98d2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Aug 25 17:47:12 2014 +0200

    contrib: add protobuf
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ffff89e8449438175ea390926526f704f75fe5b5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 1 10:36:47 2014 +0200

    Android vout: reference files used

commit 1220075aa0d0e598b24a075ea6c4e48ca87836a1
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Tue Sep 30 12:18:11 2014 +0200

    omxil-dr: reorient video
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 842b6578ae0e9a4d47024ab45441b5211663d4c3
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Tue Sep 30 12:18:10 2014 +0200

    nativewindowpriv: add setOrientation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd6fd1d8eb510f75ff350d099335f9198dd11bfe
Author: Thomas Guillem <thomas.guillem@gmail.com>
Date:   Wed Oct 1 10:21:40 2014 +0200

    omxil: split iomx_hwbuffer.cpp
    
    As iomx_hwbuffer.cpp contains mainly call to private native window from
    system/window.h:
    
    - move system window calls to modules/video_output/android/nativewindowpriv.c
    - move get_hal_format to iomx.cpp
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

